;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;; Reason: Fixes mouse documentation string for CTERM terminal windows
;;; which was side effected by the change to VT100 Screen flavor
;;; methods.  
;;;			      RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;			TEXAS INSTRUMENTS INCORPORATED.
;;;				 P.O. BOX 2909
;;;			      AUSTIN, TEXAS 78769
;;;				    MS 2151
;;;
;;; Copyright (C) 1988 Texas Instruments Incorporated. All rights reserved.

;;; Written 03/22/88 16:07:47 by WALTON,
;;; while running on CHARLIE from band LODA
;;; With Experimental SYSTEM 4.47, Experimental VIRTUAL-MEMORY 4.0, Experimental EH 4.0,
;;;  Experimental MAKE-SYSTEM 4.2, Experimental MICRONET 4.3, Experimental LOCAL-FILE 4.0,
;;;  Experimental BASIC-PATHNAME 4.6, Experimental DISK-IO 4.2, Experimental DISK-LABEL 4.0,
;;;  Experimental BASIC-FILE 4.4, Experimental MAC-PATHNAME 4.2, Experimental NETWORK-PATHNAME 4.0,
;;;  Experimental COMPILER 4.1, Experimental NETWORK-NAMESPACE 4.3, Experimental TV 4.58,
;;;  Experimental DATALINK 4.12, Experimental CHAOSNET 4.5, Experimental GC 4.3, Experimental MEMORY-AUX 4.0,
;;;  Experimental NVRAM 4.3, Experimental SYSLOG 4.0, Experimental STREAMER-TAPE 4.1,
;;;  Experimental UCL 4.1, Experimental INPUT-EDITOR 4.0, Experimental METER 4.3,
;;;  Experimental ZWEI 4.16, Experimental DEBUG-TOOLS 4.2, Experimental NETWORK-SUPPORT 4.2,
;;;  Experimental NETWORK-SERVICE 4.0, Experimental DATALINK-DISPLAYS 4.0, Experimental FONT-EDITOR 4.0,
;;;  Experimental SERIAL 4.0, Experimental PRINTER 4.6, Experimental PRINTER-TYPES 4.0,
;;;  Experimental IMAGEN 4.0, Experimental SUGGESTIONS 4.0, Experimental MAIL-DAEMON 4.3,
;;;  Experimental MAIL-READER 4.5, Experimental TELNET 4.0, Experimental VT100 4.4,
;;;  Experimental NAMESPACE-EDITOR 4.4, Experimental PROFILE 4.3, VISIDOC 2.2, Experimental NAMESPACE 4.10,
;;;  Experimental BUG 11.0, Experimental IP 3.0, DECNET 1.32, Experimental CLX 28.0,
;;;  Experimental CLUE 10.1,  microcode 289, Band Name: REL4+DECnet+CLUE

#!C
; From file CTERMINAL.LISP#> DECNET; DECNET:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "DECNET: DECNET; CTERMINAL.#"


(DEFPARAMETER *CTERM-TERMINAL-WINDOW-WHO-LINE-DOCUMENTATION*
	      '(:MOUSE-R-1   " Bring up the System Menu.")
  :documentation " The who-line-documentation-string when in a CTERM-Terminal-Window.")

))

#!C
; From file CTERMINAL.LISP#> DECNET; DECNET:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "DECNET: DECNET; CTERMINAL.#"


(DEFMETHOD (CTERM-TERMINAL-WINDOW   :WHO-LINE-DOCUMENTATION-STRING)()
  *CTERM-TERMINAL-WINDOW-WHO-LINE-DOCUMENTATION*)

))
