;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;; Reason: Changed network reset initialization to use value of NET:*NET-RESET-ENABLE-P*
;;; instead of T whenever the network is being reset.
;;;			      RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;			TEXAS INSTRUMENTS INCORPORATED.
;;;				 P.O. BOX 2909
;;;			      AUSTIN, TEXAS 78769
;;;				    MS 2151
;;;
;;; Copyright (C) 1988 Texas Instruments Incorporated. All rights reserved.

;;; Patch file for DECNET version 1.36
;;; Written 05/26/88 10:19:00 by WALTON,
;;; while running on CHARLIE from band LODA
;;; With SYSTEM 4.64, VIRTUAL-MEMORY 4.4, EH 4.5, MAKE-SYSTEM 4.5, MICRONET 4.5, Experimental LOCAL-FILE 4.2,
;;;  BASIC-PATHNAME 4.13, NETWORK-SUPPORT-COLD 4.1, NAMESPACE 4.22, NETWORK-NAMESPACE 4.3,
;;;  DISK-IO 4.13, DISK-LABEL 4.0, BASIC-FILE 4.11, MAC-PATHNAME 4.7, NETWORK-PATHNAME 4.1,
;;;  COMPILER 4.12, TV 4.89, DATALINK 4.15, CHAOSNET 4.19, GC 4.3, MEMORY-AUX 4.1,
;;;  NVRAM 4.6, SYSLOG 4.0, Experimental STREAMER-TAPE 4.5, UCL 4.1, INPUT-EDITOR 4.0,
;;;  METER 4.3, ZWEI 4.21, DEBUG-TOOLS 4.2, NETWORK-SUPPORT 4.6, NETWORK-SERVICE 4.0,
;;;  DATALINK-DISPLAYS 4.0, FONT-EDITOR 4.0, SERIAL 4.0, PRINTER 4.9, PRINTER-TYPES 4.4,
;;;  IMAGEN 4.0, SUGGESTIONS 4.0, MAIL-DAEMON 4.9, MAIL-READER 4.9, TELNET 4.1, VT100 4.5,
;;;  NAMESPACE-EDITOR 4.5, PROFILE 4.4, VISIDOC 4.4, IP 3.19, Experimental BUG 10.1,
;;;  DECNET 1.35, KERMIT 6.0,  microcode 534, Band Name: Rel 4.1 + IP 5/9

#!C
; From file ROUTING.LISP#> DECNET; DECNET:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "DECNET: DECNET; ROUTING.#"


(add-initialization "Reset Decnet"
		    '(dna:reset net:*NET-RESET-ENABLE-P* t)
		    nil
		    'net:*RESET-INITIALIZATION-LIST*)

))
