;;; -*- Mode: Common-Lisp; Package: DNA; Base: 10.; Patch-File: T -*-

;;; Reason: Recompile NSP-port flavor methods and initialize *nsp-objects* because of new instance variables added to nsp-port in patch 1-55.

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 2909, M/S 2151             
;;;   AUSTIN, TEXAS 78769                 
;;;
;;; Copyright (C) 1988 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Written 03/21/89 07:01:09 by berger,
;;; while running on ARIES from band LOD3
;;; With SYSTEM 5.9, VIRTUAL-MEMORY 5.5, EH 5.3, MICRONET 5.5, LOCAL-FILE 5.0, BASIC-PATHNAME 5.2,
;;;  NETWORK-SUPPORT-COLD 5.1, Inconsistent BASIC-NAMESPACE 5.9, NETWORK-NAMESPACE 5.0,
;;;  DISK-IO 5.9, DISK-LABEL 5.1, BASIC-FILE 5.3, MAC-PATHNAME 5.0, NETWORK-PATHNAME 5.0,
;;;  COMPILER 5.1, MAKE-SYSTEM 5.2, TV 5.21, DATALINK 5.7, CHAOSNET 5.6, GC 5.3, MEMORY-AUX 5.1,
;;;  NVRAM 5.1, SYSLOG 5.0, STREAMER-TAPE 5.6, UCL 5.0, INPUT-EDITOR 5.0, METER 5.0,
;;;  ZWEI 5.9, DEBUG-TOOLS 5.1, NETWORK-SUPPORT 5.0, NETWORK-SERVICE 5.0, DATALINK-DISPLAYS 5.0,
;;;  FONT-EDITOR 5.0, SERIAL 5.0, PRINTER 5.11, PRINTER-TYPES 5.2, IMAGEN 5.1, SUGGESTIONS 5.0,
;;;  MAIL-DAEMON 5.1, MAIL-READER 5.3, TELNET 5.1, VT100 5.0, Experimental NAMESPACE-EDITOR 5.1,
;;;  PROFILE 5.1, VISIDOC 5.4, Experimental BUG 10.2, IP 3.33, Inconsistent VISIDOC-SERVER 5.4,
;;;  DECNET 1.45,  microcode 418, Band Name: Pre 5.0 IP,VISI DAB

#!C
; From file NSP_PORTS.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; NSP_PORTS.#"



(compile-flavor-methods nsp nsp-port  CTERM-TERMINAL-WINDOW)

(initialize-nsp)

))
