;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Written 04/04/89 04:52:15 by REINER,
;;; Reason: Changed compute-packet-arrival to use floor instead of "/" to reduce consing.  04/04/89
;;; while running on MX30 from band N328
;;; With SYSTEM 5.28, GC 5.4, VIRTUAL-MEMORY 5.5, MICRONET 5.6, MICRONET-COMM 5.14,
;;;  DISK-IO 5.10, BASIC-PATHNAME 5.4, MAC-PATHNAME 5.1, NETWORK-SUPPORT-COLD 5.2,
;;;  BASIC-NAMESPACE 5.8, BASIC-FILE 5.5, RPC 5.6, NFS 5.18, EH 5.4, MAKE-SYSTEM 5.4,
;;;  MEMORY-AUX 5.1, MACTOOLBOX 1.36, COMPILER 5.3, TV 5.27, NVRAM 5.1, UCL 5.0, INPUT-EDITOR 5.1,
;;;  METER 5.1, ZWEI 5.14, DEBUG-TOOLS 5.1, WINDOW-MX 5.38, PRINTER 5.12, MAC-PRINTER-TYPES 5.4,
;;;  Experimental NETWORK-PATHNAME 5.1, NETWORK-NAMESPACE 5.0, DATALINK 5.10, CHAOSNET 5.6,
;;;  Experimental NETWORK-SUPPORT 5.1, Experimental NETWORK-SERVICE 5.1, DATALINK-DISPLAYS 5.0,
;;;  NAMESPACE-EDITOR 5.2, IP 3.42, NFS-SERVER 5.3, PRINTER-TYPES 5.5, IMAGEN 5.3,
;;;  MAIL-DAEMON 5.8, MAIL-READER 5.6, TELNET 5.3, VT100 5.1, STREAMER-TAPE 5.7, DECNET 1.61,
;;;  VISIDOC 5.6, PROFILE 5.1, DISK-LABEL 5.1, Experimental MX-SERIAL 1.1,  microcode 128,
;;;  Band Name: n328

#!C
; From file NSP_RECEIVE.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :Common-lisp)
                          (*READTABLE* Sys:Common-lisp-readtable)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* Sys::*common-lisp-symbol-substitutions*))
  (COMPILER#:PATCH-SOURCE-FILE "DECNET: DECNET; NSP_RECEIVE.#"


(defun compute-packet-arrival (instance)
  (setf (send instance :average-time-between-packets)
	(floor (+ (time-difference (time:time) (send instance :last-packet-received-time))
	      (send instance :average-time-between-packets)) 2.0))
  (setf (send instance :last-packet-received-time) (time:time)))

))
