;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;;			      RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;			TEXAS INSTRUMENTS INCORPORATED.
;;;				 P.O. BOX 2909
;;;			      AUSTIN, TEXAS 78769
;;;				    MS 2151
;;;
;;; Copyright (C) 1987 Texas Instruments Incorporated. All rights reserved.

;;; Written 07/10/87 15:02:06 by WALTON,
;;; Reason: Manditory lookup for remote host used by PMU to fill in :FROM field. Code read by BRG and CRW.
;;; while running on CHARLIE from band LODA
;;; With IO 3.23, PATHNAME 3.16, FILE 3.8, SYSTEM 3.44, METER 3.1, SERIAL 3.0, CHAOSNET 3.10,
;;;  ETHERNET 3.0, GC 3.9, IMAGEN 3.0, MAIL-DAEMON 3.1, NETWORK-SUPPORT 3.7, PROFILE 3.0,
;;;  SUGGESTIONS 3.3, UCL 3.0, ZWEI 3.12, STREAMER-TAPE 3.5, DEBUG-TOOLS 3.1, FONT-EDITOR 3.1,
;;;  GLOSSARY 3.0, INPUT-EDITOR 3.0, MAIL-READER 3.2, NAMESPACE-EDITOR 3.4, NVRAM 3.1,
;;;  TELNET 3.3, TV 3.6, NAMESPACE 3.7, COMPILER 3.19, PRINTER 3.2, SYSLOG 3.0, VT100 3.5,
;;;  IP 2.44, Experimental BUG 7.0, DECNET 1.8,  microcode 400, Band Name: Release 3.0 - 7/9+IP

#!C
; From file nsp_ports.lisp.NEWEST >rel3-dna> SA:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; NSP_PORTS.#"


(defmethod (nsp-port :foreign-host) ()
  (or (si:get-host-from-address NODEaddr :dna nil)
      (format nil "DNA:~d" NODEaddr)))
))
