;;;-*- Mode:common-LISP; Package:SYSTEM-INTERNALS; Base:10 -*-

;;;                           RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;
;;; Copyright (C) 1988-1989 Texas Instruments Incorporated. All rights reserved.

;;; 02-26-88  ab   o New (from FILE;DEFSYSTEM)

;; LOCAL-FILE depends on BASIC-FILE.
(Defsystem Local-FILE
  (:Name "LISPM Local File System")			
  (:Short-Name "Local File")
  (:Pathname-Default "SYS:Local-FILE;")
  (:patchable "SYS: PATCH.Local-FILE;" PATCH)
  (:warnings-pathname-default "SYS: CWARNS; Local-FILE.lisp")
  
  (:Module FS-Defs ("basic-file;exports-fs" "Fsdefs" "Fsmacros"))
  (:Module Main ("Fsstr" "Vbat" "Fsguts" "Local-File-Access"))
  
  (:Compile-Load FS-Defs)
  (:Compile-Load Main (:Fasload Fs-Defs))
  )


(export '(fs:initialize-file-system       ;function  ; DAB 04-25-89
	   fs:boot-file-system            ;function
	   fs:expand-file-system          ;function
	   fs:lm-salvage                  ;function
	   )
	'fs)