;;;-*- Cold-load:t; Mode:Common-Lisp; Package:SI; Base:10; Fonts: Courier, Medfnt, Medfnb, Courier, Medfnb; -*-

1;;;                           RESTRICTED RIGHTS LEGEND

;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.

;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151

;;; Copyright (C) 1986-1989 Texas Instruments Incorporated. All rights reserved.*

(defparameter *symbols-imported-to-SYS*
	      '(NET:associated-machine
		 NET:bad-connection-state
		 NET:bad-connection-state-1
		 NET:basic-host
		 NET:connection-closed
		 NET:connection-error
		 NET:connection-error-1
		 NET:connection-lost
		 NET:connection-no-more-data
		 NET:connection-refused
		 NET:define-host
		 NET:describe-host
		 NET:get-host-from-address
		 NET:host-not-responding-during-connection
		 NET:host-short-name
		 NET:host-stopped-responding
		 NET:local-finger-location
		 NET:local-floor-location
		 NET:local-host
		 NET:local-host-name
		 NET:local-network-error
		 NET:local-network-error-1
		 NET:local-pretty-host-name
		 NET:make-unnamed-host
		 NET:net-address-parsers
		 NET:network-error
		 NET:network-resources-exhausted
		 NET:no-server-up
		 NET:parse-host
		 NET:remote-network-error
		 NET:set-sys-host
		 NET:site-initialization-list
		 NET:site-option-initialization-list
		 NET:unknown-address
		 NET:unknown-host-name))

				    
(defparameter *symbols-imported-to-FS*
	      '(
		;;NET:add-logical-pathname-host This symbol moved to TICL in M build.
		NET:change-logical-pathname-directory
		NET:get-pathname-host
		NET:logical-host
		NET:make-logical-pathname-host
		NET:set-logical-pathname-host))

(defpackage 3"*NET3"*
  (:nicknames "Net" "HOST" "Host")
  (:prefix-name "NET")
  (:use ticl lisp sys))

(export *symbols-imported-to-SYS* 'SYS)
(export *symbols-imported-to-SYS* 'net)

(export *symbols-imported-to-FS* 'fs)
(export *symbols-imported-to-FS* 'net)

(defparameter *symbols-exported-from-net* '(
				    NET:*NETWORK-BEFORE-COLD-INITIALIZATION-LIST*
				    NET:*NETWORK-COLD-INITIALIZATION-LIST*
				    NET:*NETWORK-RESET-INITIALIZATION-LIST*
				    NET:*NETWORK-SYSTEM-INITIALIZATION-LIST*
				    NET:*NETWORK-WARM-INITIALIZATION-LIST*
				    NET:*TRY-ALL-MEDIUM-IMPLEMENTATIONS*
				    NET:*TRY-ALL-SERVICE-IMPLEMENTATIONS*
				    NET:ADD-SERVER-FOR-MEDIUM
				    NET:CLEAR-HOST-DEFINITIONS
				    NET:CONNECTION-POSSIBLE-P
				    NET:DEFINE-LOGICAL-CONTACT-NAME
				    NET:DEFINE-MEDIUM
				    NET:DEFINE-SERVICE
				    NET:DEFINE-SERVICE-IMPLEMENTATION
				    NET:DEFINE-SITE-OPTION-PARSER
				    NET:DEFINE-STREAM-TYPE
				    NET:DELETE-LOGICAL-PATHNAME-HOST
				    NET:DELETE-SERVER-FOR-MEDIUM
				    NET:DELETE-SERVICE-IMPLEMENTATION
				    NET:FILE-RESET-ALL-HOSTS
				    NET:FIND-HOSTS-FOR-GATEWAY-SERVICE
				    NET:FIND-LOGICAL-CONTACT-NAME
				    NET:FIND-MEDIUM
				    NET:FIND-SERVICE-IMPLEMENTATION
				    NET:FIND-STREAM-TYPE
				    NET:GET-HOST-ATTRIBUTE
				    NET:GET-USER-ATTRIBUTE
				    NET:GNI-MEDIUM-ERROR
				    NET:GNI-SERVICE-ERROR
				    NET:LISTEN-FOR-CONNECTION-ON-MEDIUM
				    NET:OPEN-CONNECTION-ON-MEDIUM
				    NET:PARSE-NETWORK-ADDRESS
				    NET:PRINT-NETWORK-ADDRESS
				    NET:RESET
				    NET:SET-HOST-ATTRIBUTE
				    NET:SET-LOGICAL-HOST
				    NET:SITE-OPTION-ERROR
				    NET:SUPERIOR-MEDIUM-P
				    NET:TRANSLATE-LOGICAL-CONTACT-NAME
				    NET:TRANSLATED-HOST
				    NET:WITH-HOST-ACCESSIBLE
				    ))

(export *symbols-exported-from-net* 'net)
