;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Written 05/19/89 14:40:58 by SILLS,
;;; Reason: Changed zwei:find-spr to not create empty file if it can't find a bug.
;;; LAS for MAY
;;; while running on URSA from band LODD
;;; With SYSTEM 6.0, VIRTUAL-MEMORY 6.0, EH 6.0, MAKE-SYSTEM 6.0, MICRONET 6.0, LOCAL-FILE 6.0,
;;;  BASIC-PATHNAME 6.0, NETWORK-SUPPORT-COLD 6.0, BASIC-NAMESPACE 6.0, NETWORK-NAMESPACE 6.0,
;;;  DISK-IO 6.0, DISK-LABEL 6.0, BASIC-FILE 6.0, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.0,
;;;  COMPILER 6.0, TV 6.0, DATALINK 6.0, CHAOSNET 6.0, GC 6.0, MEMORY-AUX 6.0, NVRAM 6.0,
;;;  SYSLOG 6.0, STREAMER-TAPE 6.0, UCL 6.0, INPUT-EDITOR 6.0, METER 6.0, ZWEI 6.0,
;;;  DEBUG-TOOLS 6.0, NETWORK-SUPPORT 6.0, NETWORK-SERVICE 6.0, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.0, SERIAL 6.0, PRINTER 6.0, MAC-PRINTER-TYPES 6.0, PRINTER-TYPES 6.0,
;;;  IMAGEN 6.0, SUGGESTIONS 6.0, MAIL-DAEMON 6.0, MAIL-READER 6.0, TELNET 6.0, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.0, PROFILE 6.0, VISIDOC 6.0, TI-CLOS 6.0, CLEH 6.0, IP 3.45,
;;;  Experimental BUG 11.4, Experimental CLX 6.0, Experimental CLUE 21.0, Experimental X11M 4.0,
;;;   microcode 427, Band Name: Rel 6.0 + SLE 5/12

#!C
; From file UPDATE-BUG.LISP#> BUG; PISCES:
#10R USER#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "USER"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "BUG: BUG; UPDATE-BUG.#"


(DEFUN update-bug (&optional (host-response-test t) (print-message-p t))
  "this function exposes a window with a list of editing options for bug reports."
  ;;;this is the initial window which drives the program
  (DECLARE (SPECIAL old-path;; old-path is changed when the
		    host-test-p));;host-test-p is used as a flag if other explorer is not responding
  (SETQ host-test-p host-response-test)
  (CATCH 'start
    (w:menu-choose
      '(("Assign bug for fixing"       :eval (assign-bug))
	("Add analysts inputs"         :eval (analysts-inputs))
	("Add analysts comments only"  :eval (analysts-comments))
	("Verify bug exists"           :eval (verify-bug))
	("Enter fix updates"           :eval (fix-updates))
	("Updates to close bug report" :eval (close-bug-report))
	)
      :label "Update bug report menu             "
      );;menu-choose
    (SETQ  old-path nil)
    (WHEN print-message-p
      (FORMAT t "~% Your changes have been written to the vax~% you will be notified via converse when the updates are complete."))
    ))
))
