;;; -*- Mode: Common-Lisp; Package: User; Base: 8.; Patch-File: T -*-

;;; Reason: Changed (:PROPERTY :NOWARN MAKE-SYSTEM-KEYWORD) to not rebind 
;;; inhibit-fdefine-warnings is already bound to t.

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 149149, M/S 2151             
;;;   AUSTIN, TEXAS 78714-9149                 
;;;
;;; Copyright (C) 1989 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Patch file for MAKE-SYSTEM version 6.5
;;; Written 06/16/90 12:37:45 by marky,
;;; while running on LIBRA from band LODA
;;; With SYSTEM 6.38, VIRTUAL-MEMORY 6.3, EH 6.8, MAKE-SYSTEM 6.3, MICRONET 6.0, LOCAL-FILE 6.2,
;;;  BASIC-PATHNAME 6.5, NETWORK-SUPPORT-COLD 6.2, BASIC-NAMESPACE 6.8, NETWORK-NAMESPACE 6.1,
;;;  DISK-IO 6.3, DISK-LABEL 6.1, BASIC-FILE 6.13, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.2,
;;;  COMPILER 6.18, TV 6.30, DATALINK 6.0, CHAOSNET 6.8, GC 6.4, MEMORY-AUX 6.0, NVRAM 6.3,
;;;  SYSLOG 6.2, STREAMER-TAPE 6.6, UCL 6.0, INPUT-EDITOR 6.0, METER 6.2, ZWEI 6.22,
;;;  DEBUG-TOOLS 6.5, NETWORK-SUPPORT 6.1, NETWORK-SERVICE 6.3, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.1, SERIAL 6.0, PRINTER 6.7, MAC-PRINTER-TYPES 6.2, PRINTER-TYPES 6.2,
;;;  IMAGEN 6.1, SUGGESTIONS 6.1, MAIL-DAEMON 6.6, MAIL-READER 6.8, TELNET 6.1, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.6, PROFILE 6.3, VISIDOC 6.7, TI-CLOS 6.51, CLEH 6.5, IP 3.65,
;;;  Experimental BUG 11.19, Experimental CLX 6.0, Experimental CLUE 6.0, X11M 6.30,
;;;   microcode 483, Band Name: Rel6.1+sle6/12+wp6-30

;;; Allow binding of INHIBIT-FDEFINE-WARNINGS to T outside make-system to
;;; STAY bound !

#!C
; From file MAKSYS.LISP#> MAKE-SYSTEM; Hotel:
#8R SYSTEM#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "SYSTEM"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* *COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: MAKE-SYSTEM; MAKSYS.#"


(DEFUN (:PROPERTY :NOWARN MAKE-SYSTEM-KEYWORD) (&rest ignore)
  (SETQ INHIBIT-FDEFINE-WARNINGS 
	(or inhibit-fdefine-warnings ;; if already t don't set to :just-warn	;; may 11/27/89
	    :JUST-WARN)
	TV:MORE-PROCESSING-GLOBAL-ENABLE nil
	*BATCH-MODE-P* T
	*QUERY-TYPE* :NOCONFIRM))
))
