;;; -*- Mode:Common-Lisp; Package:SYSTEM; Base:10; Patch-file:T -*-

;;; Reason: Fix *ZETALISP-SYMBOL-SUBSTITUTIONS* for variables PACKAGE, READTABLE, EVALHOOK, and APPLYHOOK.

;;; Written 04/26/89 20:06:37 by GRAY,
;;; while running on NEWTON from band LOD5
;;; With Experimental REL6G 6.4, Experimental SYSTEM 6.0, Experimental VIRTUAL-MEMORY 6.0,
;;;  Experimental EH 6.0, Experimental MAKE-SYSTEM 6.0, Experimental MICRONET 6.0,
;;;  Experimental LOCAL-FILE 6.0, Experimental BASIC-PATHNAME 6.0, Experimental NETWORK-SUPPORT-COLD 6.0,
;;;  Experimental BASIC-NAMESPACE 6.0, Experimental NETWORK-NAMESPACE 6.0, Experimental DISK-IO 6.0,
;;;  Experimental DISK-LABEL 6.0, Experimental BASIC-FILE 6.0, Experimental MAC-PATHNAME 6.0,
;;;  Experimental NETWORK-PATHNAME 6.0, Experimental COMPILER 6.0, Experimental TV 6.0,
;;;  Experimental DATALINK 6.0, Experimental CHAOSNET 6.0, Experimental GC 6.0, Experimental MEMORY-AUX 6.0,
;;;  Experimental NVRAM 6.0, Experimental SYSLOG 6.0, Experimental STREAMER-TAPE 6.0,
;;;  Experimental CLEH 1.0, Experimental UCL 6.0, Experimental INPUT-EDITOR 6.0, Experimental METER 6.0,
;;;  Experimental ZWEI 6.0, Experimental DEBUG-TOOLS 6.0, Experimental NETWORK-SUPPORT 6.0,
;;;  Experimental NETWORK-SERVICE 6.0, DATALINK-DISPLAYS 6.0, Experimental FONT-EDITOR 6.0,
;;;  Experimental SERIAL 6.0, Experimental PRINTER 6.0, Experimental MAC-PRINTER-TYPES 6.0,
;;;  Experimental PRINTER-TYPES 6.0, Experimental IMAGEN 6.0, Experimental SUGGESTIONS 6.0,
;;;  Experimental MAIL-DAEMON 6.0, Experimental MAIL-READER 6.0, Experimental TELNET 6.0,
;;;  Experimental VT100 6.0, Experimental NAMESPACE-EDITOR 6.0, Experimental PROFILE 6.0,
;;;  VISIDOC 6.0,  microcode 596, Band Name: 6.0 min-nogc 4/18

#!C
; From file VARIABLE-DEFINITIONS.LISP#> KERNEL; MR-X:
#10R SYSTEM#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "SYSTEM"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* *COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: KERNEL; VARIABLE-DEFINITIONS.#"


(DEFPARAMETER *ZETALISP-SYMBOL-SUBSTITUTIONS*
	  '((LISP:/ . ZLC:/) 
	    (LISP:*DEFAULT-PATHNAME-DEFAULTS* . ZLC:*DEFAULT-PATHNAME-DEFAULTS*)
	    (LISP:APPLYHOOK . ZLC:APPLYHOOK)	; jlm 4/24/89
	    (ticl:AR-1 . ZLC:AR-1)
	    (ticl:AR-1-FORCE . ZLC:AR-1-FORCE)
	    (LISP:AREF . ZLC:AREF)
	    (LISP:ASSOC . ZLC:ASSOC)
	    (LISP:ATAN . ZLC:ATAN)
	    (LISP:CHARACTER . ZLC:CHARACTER)
	    (LISP:CLOSE . ZLC:CLOSE)
;	    (LISP:DECODE-FLOAT . ZLC:DECODE-FLOAT)
	    (LISP:DEFSTRUCT . ZLC:DEFSTRUCT)
	    (LISP:DELETE . ZLC:DELETE)
	    (LISP:EVAL . ZLC:EVAL)
	    (LISP:EVALHOOK . ZLC:EVALHOOK)	; jlm 4/24/89
	    (LISP:EVERY . ZLC:EVERY)
	    (LISP:FLOAT . ZLC:FLOAT)
	    (LISP:FORMAT . ZLC:FORMAT)
	    (LISP:INTERSECTION . ZLC:INTERSECTION)
	    (LISP:LAMBDA . ZLC:LAMBDA)
	    (LISP:LISTP . ZLC:LISTP)
	    (LISP:MAKE-HASH-TABLE . ZLC:MAKE-HASH-TABLE)
	    (LISP:MAP . ZLC:MAP)
	    (LISP:MEMBER . ZLC:MEMBER)
	    (ticl:NAMED-LAMBDA . ZLC:NAMED-LAMBDA)
	    (ticl:NAMED-SUBST . ZLC:NAMED-SUBST)
	    (LISP:NINTERSECTION . ZLC:NINTERSECTION)
	    (ticl:NLISTP . ZLC:NLISTP)
	    (LISP:NUNION . ZLC:NUNION)
	    (LISP:PACKAGE . ZLC:PACKAGE)	; jlm 4/24/89
	    (LISP:RASSOC . ZLC:RASSOC)
	    (LISP:READ . ZLC:READ)
	    (LISP:READ-FROM-STRING . ZLC:READ-FROM-STRING)
	    (LISP:READTABLE . ZLC:READTABLE)	; jlm 4/24/89
	    (LISP:REM . ZLC:REM)
	    (LISP:REMOVE . ZLC:REMOVE)
	    (LISP:SOME . ZLC:SOME)
            (LISP:STRING . ZLC:STRING)
;;;	    (LISP:STRING= . ZLC:STRING=)
;;;	    (LISP:STRING-EQUAL . ZLC:STRING-EQUAL)
	    (LISP:SUBST . ZLC:SUBST)
	    (LISP:TERPRI . ZLC:TERPRI)
	    (LISP:UNION . ZLC:UNION)
)
  "Alist used as *READER-SYMBOL-SUBSTITUTIONS* for reading Zetalisp code.")

))
