;;; -*- Mode: Common-Lisp; Package: SI; Base: 10.; Patch-File: T -*-
;;; Patch file for SYSTEM version 6.6
;;; Reason: Fixed explorer-software-version. It was returning "NIL ...".
;;; Written 06/15/89 13:00:48 by BERGER,
;;; while running on ARIES from band LODX
;;; With SYSTEM 6.5, VIRTUAL-MEMORY 6.1, EH 6.2, MAKE-SYSTEM 6.0, MICRONET 6.0, LOCAL-FILE 6.0,
;;;  BASIC-PATHNAME 6.0, NETWORK-SUPPORT-COLD 6.0, BASIC-NAMESPACE 6.0, NETWORK-NAMESPACE 6.0,
;;;  DISK-IO 6.0, DISK-LABEL 6.0, BASIC-FILE 6.2, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.0,
;;;  COMPILER 6.2, TV 6.8, DATALINK 6.0, CHAOSNET 6.0, GC 6.2, MEMORY-AUX 6.0, NVRAM 6.0,
;;;  SYSLOG 6.0, STREAMER-TAPE 6.2, UCL 6.0, INPUT-EDITOR 6.0, METER 6.0, ZWEI 6.1,
;;;  DEBUG-TOOLS 6.0, NETWORK-SUPPORT 6.0, NETWORK-SERVICE 6.0, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.1, SERIAL 6.0, PRINTER 6.1, MAC-PRINTER-TYPES 6.1, PRINTER-TYPES 6.0,
;;;  IMAGEN 6.0, SUGGESTIONS 6.0, MAIL-DAEMON 6.2, MAIL-READER 6.0, TELNET 6.0, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.0, PROFILE 6.1, VISIDOC 6.1, TI-CLOS 6.5, CLEH 6.3, IP 3.46,
;;;  Experimental BUG 11.7, Experimental CLX 6.1, CLUE 6.5, NIL X11M 6.1, DECNET 1.68,
;;;  RPC 6.1, NFS 3.8,  microcode 429, Band Name: Release 6.0 + SLE 6/5

#!C
; From file ENVIRONMENT-INQUIRIES.LISP#> KERNEL; SYS:
#10R SYSTEM#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "SYSTEM"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* *COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: KERNEL; ENVIRONMENT-INQUIRIES.#"


(DEFUN explorer-software-version ()
  (LOOP FOR prod IN *defined-products* DO
	(WHEN (string-equal (SEND prod :name)
			    (if (si:mx-p) "microExplorer System Release" "Explorer System Release"))
	  (RETURN
	    (FORMAT nil "~a ~d.~d~a"
		  (SEND prod :name) (SEND prod :major-version) (SEND prod :minor-version)
		  (OR (SECOND (ASSOC (product-status prod) *product-status-alist* :test #'EQ)) "")))))
  )
))
