;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;; Reason: Set the home package of new CL symbols to be CL.

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 2909, M/S 2151             
;;;   AUSTIN, TEXAS 78769                 
;;;
;;; Copyright (C) 1989 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Written 06/19/89 08:31:49 by swede,
;;; while running on ERIK from band LODX
;;; With SYSTEM 6.6, VIRTUAL-MEMORY 6.1, EH 6.3, MAKE-SYSTEM 6.0, MICRONET 6.0, LOCAL-FILE 6.0,
;;;  BASIC-PATHNAME 6.0, NETWORK-SUPPORT-COLD 6.0, BASIC-NAMESPACE 6.1, NETWORK-NAMESPACE 6.0,
;;;  DISK-IO 6.0, DISK-LABEL 6.0, BASIC-FILE 6.2, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.0,
;;;  Inconsistent COMPILER 6.4, TV 6.10, DATALINK 6.0, CHAOSNET 6.0, GC 6.2, MEMORY-AUX 6.0,
;;;  NVRAM 6.0, SYSLOG 6.0, STREAMER-TAPE 6.2, UCL 6.0, INPUT-EDITOR 6.0, METER 6.0,
;;;  ZWEI 6.2, Inconsistent DEBUG-TOOLS 6.3, NETWORK-SUPPORT 6.0, NETWORK-SERVICE 6.0,
;;;  DATALINK-DISPLAYS 6.0, FONT-EDITOR 6.1, SERIAL 6.0, PRINTER 6.1, MAC-PRINTER-TYPES 6.1,
;;;  PRINTER-TYPES 6.0, IMAGEN 6.0, SUGGESTIONS 6.0, MAIL-DAEMON 6.2, MAIL-READER 6.0,
;;;  TELNET 6.0, VT100 6.0, NAMESPACE-EDITOR 6.0, PROFILE 6.1, VISIDOC 6.2, Inconsistent TI-CLOS 6.8,
;;;  CLEH 6.4, Experimental BUG 11.10,  microcode 429, Band Name: Release 6.0 - 5/19

#!Z
; From file SYMBOLS.LISP#> KERNEL; MR-X:
#10R SYSTEM#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "SYSTEM"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS::COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: KERNEL; SYMBOLS.#"

(eval-when (load eval)
  (let ((adopted-symbols
	  '(COMPILER:*COMPILE-VERBOSE*
	     COMPILER:*COMPILE-PRINT*
	     SYS:COMPLEMENT		
	     SYS:CONSTANTLY		
	     COMPILER:DEBUG
	     COMPILER:DYNAMIC-EXTENT
	     SYS:FUNCTION-LAMBDA-EXPRESSION
	     COMPILER:LOAD-TIME-VALUE
	     TICLOS:OPEN-STREAM-P
	     COMPILER:STYLE-WARNING
	     SYS:UPGRADED-ARRAY-ELEMENT-TYPE
	     SYS:BASE-CHARACTER
	     SYS:EXTENDED-CHARACTER
	     SYS:BASE-STRING
	     SYS:SIMPLE-BASE-STRING
	     )))
    (dolist (x adopted-symbols)
      (setf (symbol-package x) (pkg-find-package 'cl)))))
))

