;;; -*- Mode:Common-Lisp; Package:X11; Base:10; Patch-file:T -*-

;;; Reason: Recompile Patch 6.3 to workaround strangeness.
;;;  

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 2909, M/S 2151             
;;;   AUSTIN, TEXAS 78769                 
;;;
;;; Copyright (C) 1989 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Written 07/07/89 19:06:53 by buehring,
;;; while running on Spud from band LOD4
;;; With SYSTEM 6.10, VIRTUAL-MEMORY 6.1, EH 6.3, MAKE-SYSTEM 6.0, MICRONET 6.0, LOCAL-FILE 6.0,
;;;  BASIC-PATHNAME 6.1, NETWORK-SUPPORT-COLD 6.0, BASIC-NAMESPACE 6.1, NETWORK-NAMESPACE 6.0,
;;;  DISK-IO 6.0, DISK-LABEL 6.0, BASIC-FILE 6.2, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.0,
;;;  COMPILER 6.7, TV 6.12, DATALINK 6.0, CHAOSNET 6.0, GC 6.3, MEMORY-AUX 6.0, NVRAM 6.1,
;;;  SYSLOG 6.1, STREAMER-TAPE 6.4, UCL 6.0, INPUT-EDITOR 6.0, METER 6.1, ZWEI 6.3,
;;;  DEBUG-TOOLS 6.3, NETWORK-SUPPORT 6.0, NETWORK-SERVICE 6.1, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.1, SERIAL 6.0, PRINTER 6.3, MAC-PRINTER-TYPES 6.1, PRINTER-TYPES 6.1,
;;;  IMAGEN 6.0, SUGGESTIONS 6.0, MAIL-DAEMON 6.2, MAIL-READER 6.1, TELNET 6.0, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.0, PROFILE 6.1, VISIDOC 6.2, TI-CLOS 6.9, CLEH 6.4, IP 3.47,
;;;  Experimental BUG 11.10, CLX 6.1, CLUE 6.5, X11M 6.6,  microcode 429, Band Name: Release 6.0 + SLE  6/26

#!C
; From file SERVER-DEFS.LISP#> X11M.SERVER; MR-X:
#10R X11#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "X11"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: X11M.SERVER; SERVER-DEFS.#"


(defconstant
  predefined-atom-list
  (loop for atom in '(:primary :secondary :arc :atom :bitmap :cardinal :colormap :cursor
                      :cut_buffer0 :cut_buffer1 :cut_buffer2 :cut_buffer3
                      :cut_buffer4 :cut_buffer5 :cut_buffer6 :cut_buffer7
                      :drawable :font :integer :pixmap :point :rectangle :resource_manager
                      :rgb_color_map :rgb_best_map :rgb_blue_map :rgb_default_map
                      :rgb_gray_map :rgb_green_map :rgb_red_map :string :visualid
                      :window :wm_command :wm_hints :wm_client_machine :wm_icon_name
                      :wm_icon_size :wm_name :wm_normal_hints :wm_size_hints
                      :wm_zoom_hints :min_space :norm_space :max_space :end_space
                      :superscript_x :superscript_y :subscript_x :subscript_y
                      :underline_position :underline_thickness :strikeout_ascent
                      :strikeout_descent :italic_angle :x_height :quad_width :weight
                      :point_size :resolution :copyright :notice :font_name
                      :family_name :full_name :cap_height :wm_class :wm_transient_for)
        appending (list atom (symbol-value (find-symbol (concatenate 'simple-string
                                                        "PREDEFINED-ATOM-"
                                                        (substitute #\- #\_ (symbol-name atom)))
							"X11")))))

))
