;;;-*- Mode:common-LISP; Package:USER; Base:10 -*-

;;;                           RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;

;;; Copyright (c) 1986- 1989 Texas Instruments Incorporated  All Rights Reserved 


;;; 1/19/87  HW  Original
;;; 2/13/87  LCO Changed from *print-wide* to *default-print-wide*.
;;; 4/1/87   LCO Added CANCEL-PRINT-REQUEST-ON-REMOTE-HOST,
;;;              deleted CANCEL-PRINT-QUEUE-ON-REMOTE-HOST.

;;; This defines all of the symbols to be exported from the PRINTER package
;;; that are used by the file system. These are variables unless otherwise noted.

(export '(
	  *default-lines*
	  *default-cpi*
	  *default-lpi*
	  *default-header*
	  *default-page-heading*
	  *default-print-wide*
	  *default-screen-to-print*
	  *default-orientation*
	  *default-blinkerp*
	  *print-queue*
	  cancel-print-request-on-remote-host	;function
	  show-print-queue-on-remote-host	;function
	  ;basic-printer		;flavor
	  *use-cached-printers*                 ;variable  ; DAB 04-25-89
	  check-printer-options                 ;function
	  *default-tab-width*
	  )	
	'PRINTER)
