;;; -*- Mode: Lisp; Package:USER; Base:10 -*-
;===============================================================================
;
;   (c) Unpublished Copyright 1985, 1986 by Texas Instruments.  All rights reserved.
;
;===============================================================================
;
; This is the sample of the script used for running interactive benchmarks
; It is used as an input file to the JUNIOR program.
;
;; Select each lisp-machine window 3 times
;; First time, make a new window
create
(select-editor-create #\system #\control-e)
(select-lisp-create #\system #\control-l)

select
(select-editor #\system #\e)
(select-lisp #\system #\l)

;; time editor activities
edit-init
(select-editor #\system #\e)
(edit-new-file #\control-x #\control-f (STRING local-dir) "new-file" #\return)
(edit-enter-text
  "Now is the time for all good people to come to the aid of their party" #\return 
  #\return
  "Peter piper picked a peck of picked peppers" #\return
  "If peter piper picked a peck of picled peppers," #\return
  "How many peppers did peter piper pick?" #\return
  #\return
  "Tom Tom the piper son" #\return
  "Stole a pig and away did run" #\return
  "The pig was eat and tom was beat" #\return
  "and tom went crying down the street" #\return
  "(defun tak (x y z)" #\linefeed wait
  "(cond ((not (< y x))" "           ; xy" #\linefeed wait
  "z)" #\linefeed wait
  "(t (tak (tak (1- x) y z)" #\linefeed wait
  "(tak (1- y) z x)" #\linefeed wait
  "(tak (1- z) x y)))))" #\linefeed wait
  )
(edit-mark-region #\c-n #\c-space #\c-m-f)
(edit-kill-region #\c-w)

;; time lisp listener activities
ll-init
(select-lisp #\system #\l)
(ll-enter-function "(defun tak (x y z)
       (cond ((not (< y x))	;xy
	       z)
       (t (tak (tak (1- x) y z)
	       (tak (1- y) z x)
 	       (tak (1- z) x y)))))"  )
(ll-eval-function "(tak 12. 6. 3.)" )   
(ignore "(compile 'tak)" )
(ll-time-function "(tak 12. 6. 3.)" )
(ll-print-disk-label "(print-disk-label)")
(ll-print-herald "(print-herald)")

;; Clean up edit buffers, so we can run again
edit-clean
(select-editor #\system #\e)
(ignore " " wait #\c-x #\k wait #\return "no" #\return #\return #\abort)
(select-lisp #\system #\l)
