(defsystem public
  (:name "public")
  (:pathname-default "sys:public;" )
  (:module bench ("sys:public.bench;arithmetic_benchmarks"
		  "sys:public.bench;defsystem"
		  "sys:public.bench;halt_mail"
		  "sys:public.bench;junior"
		  "sys:public.bench;normalize_benchmarks"
		  "sys:public.bench;packages"
		  "sys:public.bench;public_defsystem"
		  "sys:public.bench;report_benchmarks"
		  "sys:public.bench;run_benchmarks"
		  "sys:public.bench;run_gabriel"
		  "sys:public.bench;script"
		  "sys:public.bench;tak"
		  "sys:public.bench;traverse"
		  "sys:public.bench;_benchmark.tex"))
  (:module demo ("sys:demo;login-init"
		 "sys:demo;driver"
		 "sys:demo;defsystem"))
  (:module dials ("sys:public.dials;-read-me-.text"
		  "sys:public.dials;background-and-shape-features"
		  "sys:public.dials;basic-dial-information"
		  "sys:public.dials;boxed-font.xld"
		  "sys:public.dials;complete-dial-flavors"
		  "sys:public.dials;defsystem"
		  "sys:public.dials;dial-entities"
		  "sys:public.dials;dial-tick-label-functions"
		  "sys:public.dials;medled-font.xld"
		  "sys:public.dials;miscellany"
		  "sys:public.dials;starter-kit-demo"
		  "sys:public.dials;value-displays"))
  (:module graphics-demo ("sys:public.graphics-demo;abacus"
			  "sys:public.graphics-demo;abacus-font.xld"
			  "sys:public.graphics-demo;balls"
			  "sys:public.graphics-demo;bounce"
			  "sys:public.graphics-demo;crazed"
			  "sys:public.graphics-demo;crock"
			  "sys:public.graphics-demo;dc"
			  "sys:public.graphics-demo;defsystem"
			  "sys:public.graphics-demo;deutsc"
			  "sys:public.graphics-demo;driver"
			  "sys:public.graphics-demo;geb"
			  "sys:public.graphics-demo;hal"
			  "sys:public.graphics-demo;hcedit"
			  "sys:public.graphics-demo;life"
			  "sys:public.graphics-demo;melt"
			  "sys:public.graphics-demo;munch"
			  "sys:public.graphics-demo;pict"
			 ; "sys:public.graphics-demo;qix" Use screen-saver instead
			  "sys:public.graphics-demo;rotate"
			  "sys:public.graphics-demo;ship-font.ast"
			  "sys:public.graphics-demo;ship-font.xld"
			  "sys:public.graphics-demo;tog-font.xld"
			  "sys:public.graphics-demo;worm"
			  "sys:public.graphics-demo;worm-font.ast"
			  "sys:public.graphics-demo;worm-font.xld"))
  (:module gulf-coast    ("sys:public.gulf-coast;-read-me-.text"
                          "sys:public.gulf-coast;gulf-coast"
			  "sys:public.gulf-coast;gulf-coast-patches"))
  (:module fonts ("sys:public.fonts;apl14.xld"))
  (:module help ("sys:public.help;help"
		 "sys:public.help;help-list"
		 "sys:public.help;zhelp-list"))
  (:module kermit ("sys:public.kermit;-read-me-.txt"
		   "sys:public.kermit;autodial.lisp"
		   "sys:public.kermit;defsystem.lisp"
		   "sys:public.kermit;kermit.lisp"
		   "sys:public.kermit;kuser.doc"
		   "sys:public.kermit;kuser-explorer.doc"
		   "sys:public.kermit;make-kermit.lisp"
		   "sys:public.kermit;script-handler.lisp"
		   "sys:public.kermit;serial-changes.lisp"
		   "sys:public.kermit;serial-host.lisp"
		   "sys:public.kermit;telnet-changes.lisp"
		   "sys:public.kermit;vt100-changes.lisp"))
  (:module misc ("-read-me-.text"
		 "alarm"
		 "alarm-clock"
		 "arpa-hosts-reader"
		 "auxiliary_utilities"
		 "bind-key"
		 "c-mode"
		 "calendar"
		 "convert-sym7-fonted-file"
		 "eval-remote"
		 "execute_menu"
		 "file-system-patches"
		 "filter-summary"
		 "filter-summary.text"
		 "idle-qix"
		 "mad"
		 "multiple-tape-drives"
		 "new-imagen-fonts"
		 "pc-backup"
		 "pointer_compare"
		 "put"
		 "read-instance"
		 "remind"
		 "sad"
		 "screen-saver"
		 "sysdecl"
		 "util"
		 "versa"
		 "who-line-consing"
		 "xmodem"))
  (:module music-demo ("sys:public.music-demo;aaa_read_me.text"
		       "sys:public.music-demo;bach-little.muse"
		       "sys:public.music-demo;bach-prelude1.muse"
		       "sys:public.music-demo;bach-prelude6.muse"
		       "sys:public.music-demo;beeping_functions"
		       "sys:public.music-demo;bouree.muse"
		       "sys:public.music-demo;defsystem"
		       "sys:public.music-demo;driver"
		       "sys:public.music-demo;docs.muse"
		       "sys:public.music-demo;haydn88a.muse"
		       "sys:public.music-demo;haydn88b.muse"
		       "sys:public.music-demo;haydn88c.muse"
		       "sys:public.music-demo;jude.muse"
		       "sys:public.music-demo;melon.muse"
		       "sys:public.music-demo;muse"
		       "sys:public.music-demo;music_demo"
		       "sys:public.music-demo;organ"
		       "sys:public.music-demo;piano"
		       "sys:public.music-demo;play-muse-files"
		       "sys:public.music-demo;prudence.muse"
		       "sys:public.music-demo;rulebr.muse"
		       "sys:public.music-demo;sc282.muse"
		       "sys:public.music-demo;sheba.muse"
		       "sys:public.music-demo;sheila.muse"
		       "sys:public.music-demo;sj7.muse"
		       "sys:public.music-demo;stairs.muse"
		       "sys:public.music-demo;super.muse"
		       "sys:public.music-demo;triste.muse"
		       "sys:public.music-demo;tull.muse"
		       "sys:public.music-demo;turca.muse"
		       "sys:public.music-demo;uryfug.muse"
		       "sys:public.music-demo;voy.muse"
		       "sys:public.music-demo;warm.muse"
		       "sys:public.music-demo;yesterday.muse"))
  (:module pcl ("sys:public.pcl;3600-low"
		"sys:public.pcl;boot"
		"sys:public.pcl;braid0"
		"sys:public.pcl;braid1"
		"sys:public.pcl;cmu-low"
		"sys:public.pcl;commonx"
		"sys:public.pcl;compat"
		"sys:public.pcl;defclass"
		"sys:public.pcl;defsys"
		"sys:public.pcl;dfun-templ"
		"sys:public.pcl;excl-low"
		"sys:public.pcl;fixup"
		"sys:public.pcl;fsc"
		"sys:public.pcl;fsc-low"
		"sys:public.pcl;gold-low"
		"sys:public.pcl;high"
		"sys:public.pcl;hp-low"
		"sys:public.pcl;kcl-low"
		"sys:public.pcl;low"
		"sys:public.pcl;lucid-low"
		"sys:public.pcl;macros"
		"sys:public.pcl;methods"
		"sys:public.pcl;rel-6-patches"
		"sys:public.pcl;rel-7-patches"
		"sys:public.pcl;slots"
		"sys:public.pcl;std-class"
		"sys:public.pcl;test"
		"sys:public.pcl;ti-low"
		"sys:public.pcl;ti-patches"
		"sys:public.pcl;vaxl-low"
		"sys:public.pcl;walk"
		"sys:public.pcl;xerox-low"))
  (:module speech ("sys:public.speech;beep.sound"
		   "sys:public.speech;dont_do_that.sound"
		   "sys:public.speech;dont_touch.sound"
		   "sys:public.speech;hello.sound"
		   "sys:public.speech;hey_stop_that.sound"
		   "sys:public.speech;keep_your_hands_off.sound"
		   "sys:public.speech;phone_ringing.sound"
		   "sys:public.speech;ribbit.sound"
		   "sys:public.speech;speech"))
  (:module speller ("sys:public.speller;correction"
		    "sys:public.speller;definition"
		    "sys:public.speller;defsystem"
		    "sys:public.speller;dictionary.dct"
		    "sys:public.speller;dictionary.xld"
		    "sys:public.speller;main"
		    "sys:public.speller;-read-me-.text"
		    "sys:public.speller;suffix"
		    "sys:public.speller;zwei"))
  (:module z-to-c-translator ("sys:public.z-to-c-translator;-read-me-.text"
			      "sys:public.z-to-c-translator;defsystem.lisp"
			      "sys:public.z-to-c-translator;translate.lisp"))
  (:module zmacs ("sys:public.zmacs;bdired"
		  "sys:public.zmacs;char-search"
		  "sys:public.zmacs;misc-broken"
		  "sys:public.zmacs;misc-unsupported"
		  "sys:public.zmacs;pl1mod"
		  "sys:public.zmacs;unsupported-modes"))
  (:auxiliary bench)
  (:auxiliary demo)
  (:auxiliary dials)
  (:auxiliary graphics-demo)
  (:auxiliary gulf-coast)
  (:auxiliary fonts)
  (:auxiliary help)
  (:auxiliary kermit)
  (:auxiliary misc)
  (:auxiliary music-demo)
  (:auxiliary pcl)
  (:auxiliary speech)
  (:auxiliary speller)
  (:auxiliary z-to-c-translator)
  (:auxiliary zmacs)
  )
