;;; -*- Mode:Common-Lisp; Package:NEWS; Base:10; Fonts:(CPTFONT HL12B HL12I MEDFNB) -*-

(profile:DEFINE-VARIABLE-CLASS *EN-VARIABLES* :EN "2News Variables*"
   "Variables affecting the Explorer news system.")

(profile:DEFINE-PROFILE-VARIABLE *BACKGROUND-CHECK-FOR-NEWNEWS-INTERVAL* (:en)
  :CVV-TYPE :fixnum)

(profile:DEFINE-PROFILE-VARIABLE *DEFAULT-POSTNEWS-BUFFER-NAME* (:en)
  :CVV-TYPE :string)

(profile:DEFINE-PROFILE-VARIABLE *DEFAULT-FONT* (:en)
  :CVV-TYPE :sexp)

(profile:DEFINE-PROFILE-VARIABLE *DEFAULT-SAVE-PATHNAME* (:en)
  :CVV-TYPE :string)

(profile:DEFINE-PROFILE-VARIABLE *DISPLAY-ARTICLES-KILLED* (:en)
  :CVV-TYPE :t-or-nil)

(profile:DEFINE-PROFILE-VARIABLE *NEWSHEADER* (:en)
  :CVV-TYPE :sexp)

(profile:DEFINE-PROFILE-VARIABLE *NOTIFY-NEWSGROUP-LIST* (:en)
  :CVV-TYPE :sexp)

(profile:DEFINE-PROFILE-VARIABLE *NUMBER-OF-SUBJECTS-TO-DISPLAY* (:en)
  :CVV-TYPE :fixnum)

(profile:DEFINE-PROFILE-VARIABLE *KEEP-BOGUS-P* (:en)
  :CVV-TYPE :t-or-nil)

(profile:DEFINE-PROFILE-VARIABLE *MERGE-NEWSRC-P* (:en)
  :CVV-TYPE (:choose '(:subscribe :unsubscribe :ignore)))

(profile:DEFINE-PROFILE-VARIABLE *NEWS-FILE-VERSIONS-KEPT* (:en)
  :CVV-TYPE :fixnum-or-nil)

(profile:DEFINE-PROFILE-VARIABLE *NNTP-HOST* (:en)
  :CVV-TYPE :string)

(profile:DEFINE-PROFILE-VARIABLE *PRINT-VERBOSE* (:en)
  :CVV-TYPE :t-or-nil)

(profile:DEFINE-PROFILE-VARIABLE *SUBJECT-SEARCH-MODE* (:en)
  :CVV-TYPE :t-or-nil)

(profile:DEFINE-PROFILE-VARIABLE *USER-DEFAULT-NEWSRC-FILE* (:en)
  :CVV-TYPE :pathname)

(profile:DEFINE-PROFILE-VARIABLE *MARK-XREF-ARTICLES-P* (:en)
  :CVV-TYPE :t-or-nil)

(format t "~2%Note:  Explorer News variables added to the profile utility.")
(format t "~2%")
