;-*- Mode:Common-Lisp; Package:USER; Base:10. -*-

;;;                           RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;
;;; Copyright (C) 1987, Texas Instruments Incorporated. All rights reserved.
;;; Copyright (C) 1987 Unisys Corporation
;;; All Rights Reserved
;;;
;;; Added Last-file to include :KERMIT on the features list.  LER 04/05/88
;;;

(DEFVAR net::*serial-host*)

(DEFPACKAGE "KERMIT" (:SIZE  1000) (:USE "TICL" "LISP"))

(DEFSYSTEM KERMIT
  
  (:NAME "KERMIT")
  
  (:PATHNAME-DEFAULT "sys:public.kermit;")
  (:PATCHABLE "sys:public.kermit;")
  (:INITIAL-STATUS :RELEASED)
  (:MODULE SERIAL-CHANGES "serial-changes")
  (:MODULE TELNET-CHANGES "telnet-changes")
  (:MODULE SERIAL-HOST "serial-host")
  (:MODULE KERMIT "kermit")
  (:MODULE AUTODIAL "autodial")
  (:MODULE SCRIPT-HANDLER "script-handler")
  (:MODULE VT100-CHANGES "vt100-changes")
  (:MODULE LAST-FILE "LAST-FILE")
  (:COMPILE-LOAD SERIAL-CHANGES)
  (:COMPILE-LOAD TELNET-CHANGES)
  (:COMPILE-LOAD SERIAL-HOST)
  (:COMPILE-LOAD KERMIT)
  (:COMPILE-LOAD AUTODIAL)
  (:COMPILE-LOAD SCRIPT-HANDLER)
  (:COMPILE-LOAD VT100-CHANGES)
  (:readfile last-file (:fasload serial-changes telnet-changes
				 serial-host kermit autodial script-handler vt100-changes))
  (:module docs ("-read-me-.txt"
		 "kuser.doc"
		 "kuser-explorer.doc"
		 "make-kermit.lisp")
	   )
  (:auxiliary docs)
  
  )
