;;; -*- Mode: Common-Lisp; Package: User; Base: 8.; Patch-File: T -*-
;;; Written 08/14/87 09:27:55 by FORD,
;;; Reason: Modified (:METHOD VT100-ESCAPE-SEQUENCE-MIXIN :PROCESS-ESCAPE) to not
;;; strip parity, since TI now strips it elsewhere.  Fixes errant character
;;; problem when connected to 5000/50 via TCP/IP.        SJF 8-14-87
;;; while running on Blumenthal from band LOD1
;;; With IO 3.10, PATHNAME 3.8, FILE 3.5, SYSTEM 3.22, METER 3.1, SERIAL 3.0, CHAOSNET 3.8, ETHERNET 3.0, GC 3.7, IMAGEN 3.0, MAIL-DAEMON 3.1, NETWORK-SUPPORT 3.6, PROFILE 3.0, SUGGESTIONS 3.3, UCL 3.0, ZWEI 3.4, STREAMER-TAPE 3.2, DEBUG-TOOLS 3.0, FONT-EDITOR 3.0, GLOSSARY 3.0, INPUT-EDITOR 3.0, MAIL-READER 3.0, NAMESPACE-EDITOR 3.2, NVRAM 3.0, TELNET 3.0, TV 3.4, NAMESPACE 3.7, COMPILER 3.2, PRINTER 3.1, SYSLOG 3.0, VT100 3.12, Experimental KERMIT 3.0, Experimental SNA 1.0,  microcode 355, Band Name: Release 3.0 - 6/9.



#!C
; From file VT100-CHANGES.LISP#> PUBLIC.KERMIT; Blumenthal:
#8R TELNET#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "TELNET"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "sys: PUBLIC.KERMIT; VT100-CHANGES.#"


(DEFMETHOD (VT100-ESCAPE-SEQUENCE-MIXIN :PROCESS-ESCAPE) (CH)
  (COND
    (PROCESS-CH?
     (IF (= CH NVT-IAC)
	 (SEND SELF :HANDLE-IAC)
	 (SEND SELF :TEST-FOR-ESCAPE-SEQUENCE CH)))
    (T (SEND SELF :BUFFERED-TYO CH))))
))
