;;; -*- Mode: Common-Lisp; Package: User; Base: 8.; Patch-File: T -*-
;;; Written 08/21/87 13:59:10 by FORD,
;;; Reason: Upped the default priority for the VT100's typeout process.  This helps when
;;; the VT100 is running in the background, like with Kermit or SNA.   SJF 8-21-87
;;; while running on Blumenthal from band LOD1
;;; With IO 3.10, PATHNAME 3.8, FILE 3.5, SYSTEM 3.22, METER 3.1, SERIAL 3.0, CHAOSNET 3.8, ETHERNET 3.0, GC 3.7, IMAGEN 3.0, MAIL-DAEMON 3.1, NETWORK-SUPPORT 3.6, PROFILE 3.0, SUGGESTIONS 3.3, UCL 3.0, ZWEI 3.4, STREAMER-TAPE 3.2, DEBUG-TOOLS 3.0, FONT-EDITOR 3.0, GLOSSARY 3.0, INPUT-EDITOR 3.0, MAIL-READER 3.0, NAMESPACE-EDITOR 3.2, NVRAM 3.0, TELNET 3.0, TV 3.4, NAMESPACE 3.7, COMPILER 3.2, PRINTER 3.1, SYSLOG 3.0, VT100 3.1, Experimental KERMIT 3.1, Experimental SNA 1.0,  microcode 355, Band Name: Release 3.0 - 6/9.



#!C
; From file VT100-CHANGES.LISP#> PUBLIC.KERMIT; Blumenthal:
#8R TELNET#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "TELNET"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "sys: PUBLIC.KERMIT; VT100-CHANGES.#"


(DEFMETHOD (VT100-FRAME :AFTER :INIT) (&REST IGNORE)
  (SETQ VT100-PANE (SEND SELF :GET-PANE 'VT100-PANE))
  (WINDOW-BACKGROUND-COLOR VT100-PANE VT100-DEFAULT-SCREEN-COLOR)
  (SETQ LED-PANE (SEND SELF :GET-PANE 'LED-PANE))
  (SETQ AUX-KEYPAD-PANE (SEND SELF :GET-PANE 'KEYPAD))
  (SETQ TELNET-PANE VT100-PANE)
  (SEND SELF :SELECT-PANE VT100-PANE)
  (SETQ VT100-WINDOW SELF)
  (SETQ VT100-SCREEN VT100-PANE)
  (SETQ LED-SCREEN LED-PANE)
  (SETQ TERMINAL-STREAM VT100-PANE)
  (SETQ OUTPUT-BUFFER ())
  ;; we don't want buffering
  (SEND SELF :INITIAL-SETUP)
  (SETF (TV:SHEET-TRUNCATE-LINE-OUT-FLAG VT100-PANE) 1)   ;TURN ON TRUNCATION
  (SEND typeout-process :SET-PRIORITY 10.))
))
