;;; -*- Mode:Common-Lisp; Package:SUGG; Base:10; Fonts:(MEDFNT HL12B HL12I) -*-

;;;                           RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;
;;; Copyright (c) 1984-1989 Texas Instruments Incorporated. All rights reserved.

(sugg:suggestions-build-menu
  'break-top-menu ""
  '(("Break (Lisp):" :no-select ignore :font sugg:*bold-suggestions-font*)
    ("Resume" #\Resume :documentation "Return NIL as the result of the break")
    ("Abort" #\Abort
     :documentation "Throw to higher break, error handler, or top-level"))
  nil)  

(sugg:suggestions-build-menu
  'break-bottom-menu ""
  `(("Help" #\Help :documentation
     "Displays information about the input-command editor.")
    ("Lisp Expressions" :suggestions-menu sugg:lisp-expressions)
    ("List Menus" :suggestions-menu w:com-list-menus)
    ,sugg:*menu-tools-menu-item*)
  nil)  

(setq sys:break-top-menu break-top-menu)
(setq sys:break-bottom-menu break-bottom-menu)
