;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;;			      RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;			TEXAS INSTRUMENTS INCORPORATED.
;;;				 P.O. BOX 2909
;;;			      AUSTIN, TEXAS 78769
;;;				    MS 2151
;;;
;;; Copyright (C) 1987 Texas Instruments Incorporated. All rights reserved.

;;; Written 07/22/87 11:03:25 by WALTON,
;;; Reason: Fix problem with scrolling of CTERM window after control-z exit from a VMS utility.
;;; [SPR 5660] Code read by CRW and BRG.
;;; while running on CHARLIE from band LODA
;;; With IO 3.24, PATHNAME 3.16, FILE 3.9, SYSTEM 3.47, METER 3.3, SERIAL 3.1, CHAOSNET 3.10,
;;;  ETHERNET 3.0, GC 3.9, IMAGEN 3.0, MAIL-DAEMON 3.1, NETWORK-SUPPORT 3.7, PROFILE 3.1,
;;;  SUGGESTIONS 3.3, UCL 3.1, ZWEI 3.14, STREAMER-TAPE 3.7, DEBUG-TOOLS 3.1, FONT-EDITOR 3.1,
;;;  GLOSSARY 3.0, INPUT-EDITOR 3.0, MAIL-READER 3.4, NAMESPACE-EDITOR 3.4, NVRAM 3.2,
;;;  TELNET 3.5, TV 3.9, NAMESPACE 3.7, COMPILER 3.20, PRINTER 3.2, SYSLOG 3.0, VT100 3.9,
;;;  IP 2.44, Experimental BUG 7.0, DECNET 1.9,  microcode 400, Band Name: REL3+DECnet

#!C
; From file CTERMINAL.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; CTERMINAL.#"


(defmethod (CTERM-TERMINAL-WINDOW :cooked-mode) ()
   "Sets up scrolling region for canonical processing"
   (setf telnet:top-of-scroll 1.)
   (setf telnet:bottom-of-scroll (w:sheet-number-of-inside-lines self)))

))