;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;;			      RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;			TEXAS INSTRUMENTS INCORPORATED.
;;;				 P.O. BOX 2909
;;;			      AUSTIN, TEXAS 78769
;;;				    MS 2151
;;;
;;; Copyright (C) 1987 Texas Instruments Incorporated. All rights reserved.

;;; Written 07/08/87 11:11:34 by WALTON,
;;; Reason: Restarts DECnet hello xmitter on dna:reset if it was killed by user. Code read by BRG, CRW.
;;; while running on CHARLIE from band LODA
;;; With IO 3.22, PATHNAME 3.13, FILE 3.8, SYSTEM 3.41, METER 3.1, SERIAL 3.0, CHAOSNET 3.10,
;;;  ETHERNET 3.0, GC 3.7, IMAGEN 3.0, MAIL-DAEMON 3.1, NETWORK-SUPPORT 3.7, PROFILE 3.0,
;;;  SUGGESTIONS 3.3, UCL 3.0, ZWEI 3.6, STREAMER-TAPE 3.5, DEBUG-TOOLS 3.1, FONT-EDITOR 3.1,
;;;  GLOSSARY 3.0, INPUT-EDITOR 3.0, MAIL-READER 3.2, NAMESPACE-EDITOR 3.4, NVRAM 3.0,
;;;  TELNET 3.3, TV 3.5, NAMESPACE 3.7, COMPILER 3.12, PRINTER 3.1, SYSLOG 3.0, VT100 3.5,
;;;  IP 2.42, Experimental BUG 4.10, DECNET 1.1,  microcode 355, Band Name: Release 3.0 - 6/17+ip

#!C
; From file routing.lisp.NEWEST >rel3-dna> SA:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; ROUTING.#"


(defun RESET-HELLO-XMITTER (&optional (just-do-it nil))
  "Start or Restart the hello transmission process."
  (if (or just-do-it
	  (not (typep *Hello-xmitter-process* 'si:process))
	  (not (member *Hello-xmitter-process* si:all-processes)))      
      (setq *hello-xmitter-process*
	    (PROCESS-RUN-RESTARTABLE-FUNCTION
	      '(:name "DECnet HELLO Manager" :priority 10.) 'Hello-Manager))
      (send  *Hello-xmitter-process* :reset)
      )
  )
))
