;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;; Reason: Fixed a problem where an incorrect embedded password in a pathname could
;;; cause an error instead of prompting the user for the password.

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 2909, M/S 2151             
;;;   AUSTIN, TEXAS 78769                 
;;;
;;; Copyright (C) 1988 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Written 09/08/88 14:56:24 by FISH,
;;; while running on DaVinci from band LODY
;;; With SYSTEM 4.86, VIRTUAL-MEMORY 4.5, EH 4.6, MAKE-SYSTEM 4.8, MICRONET 4.5, Experimental LOCAL-FILE 4.2,
;;;  BASIC-PATHNAME 4.13, NETWORK-SUPPORT-COLD 4.2, NAMESPACE 4.24, NETWORK-NAMESPACE 4.4,
;;;  DISK-IO 4.16, DISK-LABEL 4.0, BASIC-FILE 4.13, MAC-PATHNAME 4.13, NETWORK-PATHNAME 4.1,
;;;  COMPILER 4.14, TV 4.110, DATALINK 4.17, CHAOSNET 4.19, GC 4.5, MEMORY-AUX 4.1,
;;;  NVRAM 4.7, SYSLOG 4.0, STREAMER-TAPE 4.8, UCL 4.1, INPUT-EDITOR 4.0, METER 4.5,
;;;  ZWEI 4.29, DEBUG-TOOLS 4.2, NETWORK-SUPPORT 4.6, NETWORK-SERVICE 4.0, DATALINK-DISPLAYS 4.0,
;;;  FONT-EDITOR 4.0, SERIAL 4.0, PRINTER 4.10, PRINTER-TYPES 4.5, IMAGEN 4.2, SUGGESTIONS 4.1,
;;;  MAIL-DAEMON 4.10, MAIL-READER 4.12, TELNET 4.1, VT100 4.6, NAMESPACE-EDITOR 4.5,
;;;  PROFILE 4.4, VISIDOC 4.7, IP 3.26, Experimental BUG 10.2, Experimental SEYMOUR3 2.0,
;;;  Experimental SLAP 3.12, DECNET 1.36,  microcode 396, Band Name: 4.1-6/15++-slap

#!C
; From file SC_HOST.LISP#> DECNET; VIRGO:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; SC_HOST.#"


(defun sc-get-decnet-name (node-address)
  (cond
    ((floatp node-address) (sc-get-decnet-name (format nil "~a" node-address)))
    ((stringp node-address) node-address)
    ((numberp node-address)(si:get-host-from-address node-address :dna))
    ((typep node-address 'net:host) node-address)
    (t ())))
))
