;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Patch file for DECNET version 1.40
;;; Reason: Give the Decnet hello manager process an attribute of restart-after-boot. This prevents the process object from being
;;; given to another process before we are through with it.
;;; Written 11/04/88 12:55:40 by jones,
;;; while running on HOBBS from band LOD1
;;; With SYSTEM 5.17, GC 5.3, VIRTUAL-MEMORY 5.5, MICRONET 5.5, Inconsistent MICRONET-COMM 5.12,
;;;  DISK-IO 5.8, BASIC-PATHNAME 5.2, MAC-PATHNAME 5.0, NETWORK-SUPPORT-COLD 5.1,
;;;  BASIC-NAMESPACE 5.5, BASIC-FILE 5.3, RPC 5.4, NFS 5.8, EH 5.2, MAKE-SYSTEM 5.1,
;;;  MEMORY-AUX 5.1, MACTOOLBOX 1.20, COMPILER 5.1, TV 5.15, NVRAM 5.1, UCL 5.0, INPUT-EDITOR 5.0,
;;;  METER 5.0, ZWEI 5.8, DEBUG-TOOLS 5.0, WINDOW-MX 5.24, PRINTER 5.10, MAC-PRINTER-TYPES 5.2,
;;;  NETWORK-PATHNAME 5.0, NETWORK-NAMESPACE 5.0, DATALINK 5.5, CHAOSNET 5.4, NETWORK-SUPPORT 5.0,
;;;  NETWORK-SERVICE 5.0, DATALINK-DISPLAYS 5.0, NAMESPACE-EDITOR 5.1, IP 3.31, NFS-SERVER 5.3,
;;;  PRINTER-TYPES 5.2, IMAGEN 5.1, MAIL-DAEMON 5.0, MAIL-READER 5.3, TELNET 5.0,
;;;  VT100 5.0, STREAMER-TAPE 5.6, DECNET 1.39, VISIDOC 5.4, PROFILE 5.1, DISK-LABEL 5.1,
;;;   microcode #<DTP-STACK-GROUP ...error printing #<Stack-group 1140111>..., Band Name: nb04

#!C
; From file ROUTING.LISP#> DECNET; MR-X:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :Common-lisp)
                          (*READTABLE* Sys:Common-lisp-readtable)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* Sys::*common-lisp-symbol-substitutions*))
  (COMPILER#:PATCH-SOURCE-FILE "Sys: DECNET; ROUTING.#"


(defun RESET-HELLO-XMITTER (&optional (just-do-it nil))
  "Start or Restart the hello transmission process."
  (if (or just-do-it
	  (not (typep *Hello-xmitter-process* 'si:process))
	  (not (member *Hello-xmitter-process* si:all-processes)))      
      (setq *hello-xmitter-process*
	    (PROCESS-RUN-RESTARTABLE-FUNCTION
	      '(:name "DECnet HELLO Manager" :priority 10. :restart-after-reset t :restart-after-boot t) 'Hello-Manager))
      (send  *Hello-xmitter-process* :reset)
      )
  )

))
