;;; -*- Mode: Common-Lisp; Package: DNA; Base: 10.; Patch-File: T -*-
;;; Written 12/12/88 10:44:56 by BERGER,
;;; Reason: Fixed parse-returned-pathname DECNET on the VAX will sometimes return a device that is different from what was entered, this will cause ZMACS to prompt the user during saving a buffer in ZMACS. [9001]
;;; while running on MX29 from band NB22
;;; With SYSTEM 5.19, GC 5.4, VIRTUAL-MEMORY 5.5, MICRONET 5.5, MICRONET-COMM 5.13,
;;;  DISK-IO 5.9, BASIC-PATHNAME 5.2, MAC-PATHNAME 5.0, NETWORK-SUPPORT-COLD 5.1,
;;;  BASIC-NAMESPACE 5.6, BASIC-FILE 5.3, RPC 5.5, NFS 5.12, EH 5.3, MAKE-SYSTEM 5.3,
;;;  MEMORY-AUX 5.1, MACTOOLBOX 1.26, COMPILER 5.1, TV 5.22, NVRAM 5.1, UCL 5.0, INPUT-EDITOR 5.0,
;;;  METER 5.0, ZWEI 5.9, DEBUG-TOOLS 5.1, WINDOW-MX 5.30, PRINTER 5.11, MAC-PRINTER-TYPES 5.4,
;;;  NETWORK-PATHNAME 5.0, NETWORK-NAMESPACE 5.0, DATALINK 5.7, Inconsistent CHAOSNET 5.7,
;;;  NETWORK-SUPPORT 5.0, NETWORK-SERVICE 5.0, DATALINK-DISPLAYS 5.0, NAMESPACE-EDITOR 5.1,
;;;  Inconsistent IP 3.34, NFS-SERVER 5.3, PRINTER-TYPES 5.2, IMAGEN 5.1, MAIL-DAEMON 5.1,
;;;  MAIL-READER 5.4, TELNET 5.1, VT100 5.0, STREAMER-TAPE 5.7, DECNET 1.45, VISIDOC 5.4,
;;;  PROFILE 5.1, DISK-LABEL 5.1, Experimental BUG 10.2,  microcode 96, Band Name: microExplorer Network (11/22)

#!C
; From file DAP_UTILITIES.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; DAP_UTILITIES.#"


(defun parse-returned-pathname (namestring pname)
  (let ((tname (fs:parse-namestring namestring (send pname :host) pname)))
    (when (and (send tname :device) ;12-12-88 DAB
	       (not (string-equal (send tname :device)
				  (send pname :device))))
      (setq tname (send tname :new-device (send pname :device))))
	       
    (if (null (send tname :type))
	(send tname :new-type :unspecific)
	tname)))
))
