;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;;			      RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (b)(3)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;			TEXAS INSTRUMENTS INCORPORATED.
;;;				 P.O. BOX 2909
;;;			      AUSTIN, TEXAS 78769
;;;				    MS 2151
;;;
;;; Copyright (C) 1987 Texas Instruments Incorporated. All rights reserved.

;;; Written 07/09/87 09:50:36 by WALTON,
;;; Reason: Add characteristics values which set the input/output speed to 9600.
;;; Code read by CRW and BRG.
;;; while running on CHARLIE from band LODA
;;; With IO 3.22, PATHNAME 3.15, FILE 3.8, SYSTEM 3.43, METER 3.1, SERIAL 3.0, CHAOSNET 3.10,
;;;  ETHERNET 3.0, GC 3.8, IMAGEN 3.0, MAIL-DAEMON 3.1, NETWORK-SUPPORT 3.7, PROFILE 3.0,
;;;  SUGGESTIONS 3.3, UCL 3.0, ZWEI 3.7, STREAMER-TAPE 3.5, DEBUG-TOOLS 3.1, FONT-EDITOR 3.1,
;;;  GLOSSARY 3.0, INPUT-EDITOR 3.0, MAIL-READER 3.2, NAMESPACE-EDITOR 3.4, NVRAM 3.1,
;;;  TELNET 3.3, TV 3.6, NAMESPACE 3.7, COMPILER 3.19, PRINTER 3.1, SYSLOG 3.0, VT100 3.5,
;;;  IP 2.44, Experimental BUG 4.10, DECNET 1.4,  microcode 355, Band Name: Release 3.0 - 6/17+ip

#!C
; From file CTERM_DEFS.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; CTERM_DEFS.#"


(defparameter CTERM-selector-type0-alist                     ; Foundation Physical Terminal Characteristics
	      '((1 9600.)(2 9600.)(3 0)(4 0)(5 0)(6 0)(7 0))); id - value pairs

))

#!C
; From file CTERM_DEFS.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; CTERM_DEFS.#"


(defparameter CTERM-selector-type1-alist                     ; Foundation Logical Terminal Characteristics
	      '((1 1)(2 3)(3 "VT100")(4 1)(5 0)(6 0)(7 0)    ; id - value pairs
	       (8. 1)(9. 80.)(10. 45.)(11. 0)(12. 0)(13. 0)  
	       (14. 4)(15. 1)(16. 0)(17. 2)(18. 9600.)(19. 9600.)
	       (20. 0)(21. 0)(22. 0)(23. 0)(24. 1)(25. 0)
	       (26. 0)(27. 0)(28. 0)(29. 0)))

))

#!C
; From file CTERM_DEFS.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; CTERM_DEFS.#"


(defparameter CTERM-selector-type2-alist                     ; Network Command Terminal 
	      '((1 0)(2 0)(3 0)(4 0)(5 1)(6 0)(7 0)          ; Logical Terminal Characteristics
	       (8. 2)(9. 0)(10. 0)))                         ; id -value pairs

))
