;;; -*- Mode: Common-Lisp; Package: DNA; Base: 10.; Patch-File: T -*-
;;; Written 04/11/89 05:01:07 by BERGER,
;;; Reason: Changed (DAP-basic-stream :send-name-message) to check to make sure we don't overflow the buffer.
;;; while running on MX29 from band NB22
;;; With SYSTEM 5.19, GC 5.3, VIRTUAL-MEMORY 5.5, MICRONET 5.5, MICRONET-COMM 5.13,
;;;  DISK-IO 5.9, BASIC-PATHNAME 5.2, MAC-PATHNAME 5.0, NETWORK-SUPPORT-COLD 5.1,
;;;  BASIC-NAMESPACE 5.6, BASIC-FILE 5.3, RPC 5.4, NFS 5.10, EH 5.3, MAKE-SYSTEM 5.2,
;;;  MEMORY-AUX 5.1, MACTOOLBOX 1.25, COMPILER 5.1, TV 5.21, NVRAM 5.1, UCL 5.0, INPUT-EDITOR 5.0,
;;;  METER 5.0, ZWEI 5.9, DEBUG-TOOLS 5.1, WINDOW-MX 5.28, PRINTER 5.11, MAC-PRINTER-TYPES 5.4,
;;;  NETWORK-PATHNAME 5.0, NETWORK-NAMESPACE 5.0, DATALINK 5.7, CHAOSNET 5.6, NETWORK-SUPPORT 5.0,
;;;  NETWORK-SERVICE 5.0, DATALINK-DISPLAYS 5.0, NAMESPACE-EDITOR 5.1, IP 3.33, NFS-SERVER 5.3,
;;;  PRINTER-TYPES 5.2, IMAGEN 5.1, MAIL-DAEMON 5.1, MAIL-READER 5.3, TELNET 5.1,
;;;  VT100 5.0, STREAMER-TAPE 5.6, DECNET 1.62, VISIDOC 5.4, PROFILE 5.1, DISK-LABEL 5.1,
;;;   microcode 97, Band Name: microExplorer Network (11/22)

#!C
; From file DAP_FLAVOR.LISP#> DECNET; SYS:
#10R DNA#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "DNA"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DECNET; DAP_FLAVOR.#"


(defmethod (DAP-basic-stream :send-name-message) (nametype string)
  (when (>= (+ write-offset (length string) 10)   bufsiz) ; DAB 04-11-89 Make sure we dont overflow the buffer.
    (send self :force-output-header))
  (multiple-value-bind (header offset)
      (send self :get-output-header)
    (setf offset (setup-operator-field header DAP-name-message offset nil 0))
    (setf offset (setup-name-message header offset nametype string))
    (send self :set-output-header-length offset)
    ))

))
