;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Written 03/15/88 14:58:56 by TUNG,
;;; Reason: init udp port-handler.
;;; while running on MX5 from band LOD1
;;; With Experimental SYSTEM 4.34, Experimental GC 4.2, Experimental MICROEXPLORER-KERNEL 4.0,
;;;  Experimental DISK-IO 4.1, Experimental VIRTUAL-MEMORY 4.0, Experimental BASIC-PATHNAME 4.3,
;;;  Experimental MAC-PATHNAME 4.0, Experimental NAMESPACE 4.8, Experimental BASIC-FILE 4.1,
;;;  Experimental MAKE-SYSTEM 4.1, Experimental MICRONET 5.2, Experimental MICRONET-COMM 5.0,
;;;  Experimental RPC 4.7, Experimental NFS 4.20, Experimental COMPILER 4.1, Experimental TV 4.39,
;;;  Experimental NVRAM 4.3, Experimental UCL 4.1, Experimental INPUT-EDITOR 4.0,
;;;  Experimental METER 4.3, Experimental ZWEI 4.12, Experimental DEBUG-TOOLS 4.0,
;;;  Experimental WINDOW-MX 5.11, Experimental NETWORK-SUPPORT-COLD 4.1, Experimental NETWORK-PATHNAME 4.0,
;;;  Experimental NETWORK-NAMESPACE 4.0, Experimental DATALINK 4.10, Experimental CHAOSNET 4.4,
;;;  Experimental NETWORK-SUPPORT 4.1, Experimental NETWORK-SERVICE 4.0, Experimental DATALINK-DISPLAYS 4.0,
;;;  Experimental NAMESPACE-EDITOR 4.2, Experimental NFS-SERVER 4.6, Experimental PRINTER 4.2,
;;;  Experimental MAIL-DAEMON 4.0, Experimental MAIL-READER 4.4, Experimental TELNET 4.0,
;;;  Experimental VT100 4.3, VISIDOC 4.0, Experimental PROFILE 4.0, Inconsistent IP 4.5,
;;;   microcode 51, Band Name: mX Network [3-10]

#!C
; From file UDP-MEDIUM.LISP#> IP; MR-X:
#10R IP#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "IP"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: IP; UDP-MEDIUM.#"

(delete-initialization "Start Port Map Servers")

(when (and (find-package "RPC")
	   (si:find-system-named "RPC" t t))
  (let ((sym (find-symbol "PORT-HANDLER" "RPC")))
	  (unless (get :udp sym)
	    (reset-udp-service t)
	    (setf (get :udp sym) *udp-handler*)) )
  )))

