;;; -*- Base: 10.; Mode: Common-Lisp; Package: user; fonts: cptfont,cptfontb; -*-

;;;                           RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;
;;; Copyright (C) 1989 Texas Instruments Incorporated. All rights reserved.


(DEFSYSTEM Meter				;this defines the metering system
  (:NAME "Meter")
  (:PATHNAME-DEFAULT "SYS:METER;")
  (:warnings-pathname-default "SYS: CWARNS; meter.lisp")  ; 06.24.87
  (:PATCHABLE        "SYS:PATCH.METER;" PATCH)
  (:MODULE PACKAGE-DECLARE "package_declare")
  (:MODULE METER "meter")
  (:MODULE TREE "meter_tree")
  (:MODULE HISTO "function_histogram")

  (:READFILE PACKAGE-DECLARE)
  (:COMPILE-LOAD METER
		 (:READFILE PACKAGE-DECLARE))
  (:COMPILE-LOAD TREE
		 (:FASLOAD METER))
  (:COMPILE-LOAD HISTO
		 (:FASLOAD METER))
  )
