;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-

;;; Reason: Export cursor name symbols.

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 149149, M/S 2151             
;;;   AUSTIN, TEXAS 78714-9149                 
;;;
;;; Copyright (C) 1989 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Patch file for CLUE version 6.97
;;; Written 04/30/90 18:12:56 by KK,
;;; while running on RIGI from band PB28
;;; With SYSTEM 6.31, GC 6.3, VIRTUAL-MEMORY 6.3, MICRONET 6.0, MICRONET-COMM 6.3,
;;;  DISK-IO 6.3, DISK-LABEL 6.0, BASIC-PATHNAME 6.4, MAC-PATHNAME 6.0, NETWORK-SUPPORT-COLD 6.2,
;;;  BASIC-NAMESPACE 6.7, BASIC-FILE 6.10, RPC 6.2, NFS-MX 6.6, EH 6.6, MAKE-SYSTEM 6.2,
;;;  MEMORY-AUX 6.0, COMPILER 6.14, TV 6.24, NVRAM 6.2, UCL 6.0, INPUT-EDITOR 6.0,
;;;  MACTOOLBOX 2.17, METER 6.1, ZWEI 6.13, DEBUG-TOOLS 6.4, WINDOW-MX 6.10, PRINTER 6.4,
;;;  MAC-PRINTER-TYPES 6.2, CLIPBOARD 6.1, TI-CLOS 6.44, CLEH 6.5, NETWORK-PATHNAME 6.1,
;;;  NETWORK-NAMESPACE 6.1, DATALINK 6.0, CHAOSNET 6.6, NETWORK-SUPPORT 6.1, NETWORK-SERVICE 6.2,
;;;  DATALINK-DISPLAYS 6.0, MX-DATALINK 6.1, NAMESPACE-EDITOR 6.4, IP 3.60, NFS-MX-SERVER 6.0,
;;;  MX-SERIAL 6.1, PRINTER-TYPES 6.2, IMAGEN 6.1, MAIL-DAEMON 6.6, MAIL-READER 6.7,
;;;  TELNET 6.1, VT100 6.0, STREAMER-TAPE 6.5, DECNET 1.72, VISIDOC 6.7, PROFILE 6.3,
;;;  Experimental CLX 6.10, CLUE 6.96, Experimental BUG 11.19, Experimental SC 3.0,
;;;  Experimental CLIO 23.0,  microcode 139, Band Name: microExplorer Network + SLE (11/28)

#!C
; From file CURSOR.LISP#> CLUE; Hotel:
#10R CLUEI#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "CLUEI"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: CLUE; CURSOR.#"


(export '(
	  x-cursor
	  arrow-cursor
	  based-arrow-down-cursor
	  based-arrow-up-cursor
	  boat-cursor
	  bogosity-cursor
	  bottom-left-corner-cursor
	  bottom-right-corner-cursor
	  bottom-side-cursor
	  bottom-tee-cursor
	  box-spiral-cursor
	  center-ptr-cursor
	  circle-cursor
	  clock-cursor
	  coffee-mug-cursor
	  cross-cursor
	  cross-reverse-cursor
	  crosshair-cursor
	  diamond-cross-cursor
	  dot-cursor
	  dotbox-cursor
	  double-arrow-cursor
	  draft-large-cursor
	  draft-small-cursor
	  draped-box-cursor
	  exchange-cursor
	  fleur-cursor
	  gobbler-cursor
	  gumby-cursor
	  hand1-cursor
	  hand2-cursor
	  heart-cursor
	  icon-cursor
	  iron-cross-cursor
	  left-ptr-cursor
	  left-side-cursor
	  left-tee-cursor
	  leftbutton-cursor
	  ll-angle-cursor
	  lr-angle-cursor
	  man-cursor
	  middlebutton-cursor
	  mouse-cursor
	  pencil-cursor
	  pirate-cursor
	  plus-cursor
	  question-arrow-cursor
	  right-ptr-cursor
	  right-side-cursor
	  right-tee-cursor
	  rightbutton-cursor
	  rtl-logo-cursor
	  sailboat-cursor
	  sb-down-arrow-cursor
	  sb-h-double-arrow-cursor
	  sb-left-arrow-cursor
	  sb-right-arrow-cursor
	  sb-up-arrow-cursor
	  sb-v-double-arrow-cursor
	  shuttle-cursor
	  sizing-cursor
	  spider-cursor
	  spraycan-cursor
	  star-cursor
	  target-cursor
	  tcross-cursor
	  top-left-arrow-cursor
	  top-left-corner-cursor
	  top-right-corner-cursor
	  top-side-cursor
	  top-tee-cursor
	  trek-cursor
	  ul-angle-cursor
	  umbrella-cursor
	  ur-angle-cursor
	  watch-cursor
	  i-bar-cursor)
	'cluei)

(export '(
	  x-cursor
	  arrow-cursor
	  based-arrow-down-cursor
	  based-arrow-up-cursor
	  boat-cursor
	  bogosity-cursor
	  bottom-left-corner-cursor
	  bottom-right-corner-cursor
	  bottom-side-cursor
	  bottom-tee-cursor
	  box-spiral-cursor
	  center-ptr-cursor
	  circle-cursor
	  clock-cursor
	  coffee-mug-cursor
	  cross-cursor
	  cross-reverse-cursor
	  crosshair-cursor
	  diamond-cross-cursor
	  dot-cursor
	  dotbox-cursor
	  double-arrow-cursor
	  draft-large-cursor
	  draft-small-cursor
	  draped-box-cursor
	  exchange-cursor
	  fleur-cursor
	  gobbler-cursor
	  gumby-cursor
	  hand1-cursor
	  hand2-cursor
	  heart-cursor
	  icon-cursor
	  iron-cross-cursor
	  left-ptr-cursor
	  left-side-cursor
	  left-tee-cursor
	  leftbutton-cursor
	  ll-angle-cursor
	  lr-angle-cursor
	  man-cursor
	  middlebutton-cursor
	  mouse-cursor
	  pencil-cursor
	  pirate-cursor
	  plus-cursor
	  question-arrow-cursor
	  right-ptr-cursor
	  right-side-cursor
	  right-tee-cursor
	  rightbutton-cursor
	  rtl-logo-cursor
	  sailboat-cursor
	  sb-down-arrow-cursor
	  sb-h-double-arrow-cursor
	  sb-left-arrow-cursor
	  sb-right-arrow-cursor
	  sb-up-arrow-cursor
	  sb-v-double-arrow-cursor
	  shuttle-cursor
	  sizing-cursor
	  spider-cursor
	  spraycan-cursor
	  star-cursor
	  target-cursor
	  tcross-cursor
	  top-left-arrow-cursor
	  top-left-corner-cursor
	  top-right-corner-cursor
	  top-side-cursor
	  top-tee-cursor
	  trek-cursor
	  ul-angle-cursor
	  umbrella-cursor
	  ur-angle-cursor
	  watch-cursor
	  i-bar-cursor)
	'clue)

(defconstant x-cursor                    0)
(defconstant arrow-cursor                2)
(defconstant based-arrow-down-cursor	 4)
(defconstant based-arrow-up-cursor	 6)
(defconstant boat-cursor		 8)
(defconstant bogosity-cursor		 10)
(defconstant bottom-left-corner-cursor	 12)
(defconstant bottom-right-corner-cursor	 14)
(defconstant bottom-side-cursor		 16)
(defconstant bottom-tee-cursor		 18)
(defconstant box-spiral-cursor		 20)
(defconstant center-ptr-cursor		 22)
(defconstant circle-cursor		 24)
(defconstant clock-cursor		 26)
(defconstant coffee-mug-cursor		 28)
(defconstant cross-cursor		 30)
(defconstant cross-reverse-cursor        32)
(defconstant crosshair-cursor            34)
(defconstant diamond-cross-cursor        36)
(defconstant dot-cursor                  38)
(defconstant dotbox-cursor               40)
(defconstant double-arrow-cursor         42)
(defconstant draft-large-cursor          44)
(defconstant draft-small-cursor          46)
(defconstant draped-box-cursor           48)
(defconstant exchange-cursor             50)
(defconstant fleur-cursor                52)
(defconstant gobbler-cursor              54)
(defconstant gumby-cursor                56)
(defconstant hand1-cursor                58)
(defconstant hand2-cursor                60)
(defconstant heart-cursor                62)
(defconstant icon-cursor                 64)
(defconstant iron-cross-cursor           66)
(defconstant left-ptr-cursor             68)
(defconstant left-side-cursor            70)
(defconstant left-tee-cursor             72)
(defconstant leftbutton-cursor           74)
(defconstant ll-angle-cursor             76)
(defconstant lr-angle-cursor             78)
(defconstant man-cursor                  80)
(defconstant middlebutton-cursor         82)
(defconstant mouse-cursor                84)
(defconstant pencil-cursor               86)
(defconstant pirate-cursor               88)
(defconstant plus-cursor                 90)
(defconstant question-arrow-cursor       92)
(defconstant right-ptr-cursor            94)
(defconstant right-side-cursor           96)
(defconstant right-tee-cursor            98)
(defconstant rightbutton-cursor          100)
(defconstant rtl-logo-cursor             102)
(defconstant sailboat-cursor             104)
(defconstant sb-down-arrow-cursor        106)
(defconstant sb-h-double-arrow-cursor    108)
(defconstant sb-left-arrow-cursor        110)
(defconstant sb-right-arrow-cursor       112)
(defconstant sb-up-arrow-cursor          114)
(defconstant sb-v-double-arrow-cursor    116)
(defconstant shuttle-cursor              118)
(defconstant sizing-cursor               120)
(defconstant spider-cursor               122)
(defconstant spraycan-cursor             124)
(defconstant star-cursor                 126)
(defconstant target-cursor               128)
(defconstant tcross-cursor               130)
(defconstant top-left-arrow-cursor       132)
(defconstant top-left-corner-cursor      134)
(defconstant top-right-corner-cursor     136)
(defconstant top-side-cursor             138)
(defconstant top-tee-cursor              140)
(defconstant trek-cursor                 142)
(defconstant ul-angle-cursor             144)
(defconstant umbrella-cursor             146)
(defconstant ur-angle-cursor             148)
(defconstant watch-cursor                150)
(defconstant i-bar-cursor                152)

))
