;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Written 11/09/89 16:38:09 by KK,
;;; Reason: Correct definitions of Explorer-dependent keysyms (#\network, etc.).
;;; while running on RIGI from band n817
;;; With SYSTEM 6.23, GC 6.3, VIRTUAL-MEMORY 6.2, MICRONET 6.0, MICRONET-COMM 6.1,
;;;  DISK-IO 6.1, DISK-LABEL 6.0, BASIC-PATHNAME 6.2, MAC-PATHNAME 6.0, NETWORK-SUPPORT-COLD 6.2,
;;;  BASIC-NAMESPACE 6.6, BASIC-FILE 6.6, RPC 6.2, NFS-MX 6.3, EH 6.5, MAKE-SYSTEM 6.2,
;;;  MEMORY-AUX 6.0, COMPILER 6.14, TV 6.18, NVRAM 6.2, UCL 6.0, INPUT-EDITOR 6.0,
;;;  MACTOOLBOX 2.7, METER 6.1, ZWEI 6.8, DEBUG-TOOLS 6.3, WINDOW-MX 6.9, PRINTER 6.3,
;;;  MAC-PRINTER-TYPES 6.1, CLIPBOARD 6.1, TI-CLOS 6.26, CLEH 6.5, NETWORK-PATHNAME 6.0,
;;;  NETWORK-NAMESPACE 6.0, DATALINK 6.0, CHAOSNET 6.4, NETWORK-SUPPORT 6.0, NETWORK-SERVICE 6.2,
;;;  DATALINK-DISPLAYS 6.0, MX-DATALINK 6.1, NAMESPACE-EDITOR 6.4, IP 3.56, NFS-MX-SERVER 6.0,
;;;  MX-SERIAL 6.1, PRINTER-TYPES 6.2, IMAGEN 6.1, MAIL-DAEMON 6.3, MAIL-READER 6.5,
;;;  TELNET 6.0, VT100 6.0, STREAMER-TAPE 6.4, DECNET 1.70, VISIDOC 6.5, PROFILE 6.2,
;;;  Experimental SC 2.0, Experimental CLX 6.6, CLUE 6.32, Experimental CLIO 9.0,
;;;  Experimental CLIO-TEST 6.0,  microcode 138, Band Name: microExplorer Network (8/17)

#!C
; From file KEYSYMS.LISP#> CLX; Hotel:
#10R XLIB#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "XLIB"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: CLX; KEYSYMS.#"


(progn
  (define-keysym #\terminal (keysym 255 032))	; :function
  (define-keysym #\system (keysym 255 096))	; :function
  (define-keysym #\center-arrow (keysym 255 80))
  (define-keysym #\left-arrow (keysym 255 081))	; :cursor
  (define-keysym #\up-arrow (keysym 255 082))	; :cursor
  (define-keysym #\right-arrow (keysym 255 083))	; :cursor
  (define-keysym #\down-arrow (keysym 255 084))	; :cursor
  (define-keysym #\end (keysym 255 087))	; :cursor
  (define-keysym #\undo (keysym 255 101))	; :function
  (define-keysym #\break (keysym 255 107))
  (define-keysym #\keypad-space (keysym 255 128))	; :keypad
  (define-keysym #\keypad-tab (keysym 255 137))	; :keypad
  (define-keysym #\keypad-enter (keysym 255 141))	; :keypad
  (define-keysym #\f1 (keysym 255 145))		; :keypad
  (define-keysym #\f2 (keysym 255 146))		; :keypad
  (define-keysym #\f3 (keysym 255 147))		; :keypad
  (define-keysym #\f4 (keysym 255 148))		; :keypad
  (define-keysym #\f1 (keysym 255 190))		; :keypad
  (define-keysym #\f2 (keysym 255 191))		; :keypad
  (define-keysym #\f3 (keysym 255 192))		; :keypad
  (define-keysym #\f4 (keysym 255 193))		; :keypad
  (define-keysym #\keypad-plus (keysym 255 171))	; :keypad
  (define-keysym #\keypad-comma (keysym 255 172))	; :keypad
  (define-keysym #\keypad-minus (keysym 255 173))	; :keypad
  (define-keysym #\keypad-period (keysym 255 174))	; :keypad
  (define-keysym #\keypad-0 (keysym 255 176))	; :keypad
  (define-keysym #\keypad-1 (keysym 255 177))	; :keypad
  (define-keysym #\keypad-2 (keysym 255 178))	; :keypad
  (define-keysym #\keypad-3 (keysym 255 179))	; :keypad
  (define-keysym #\keypad-4 (keysym 255 180))	; :keypad
  (define-keysym #\keypad-5 (keysym 255 181))	; :keypad
  (define-keysym #\keypad-6 (keysym 255 182))	; :keypad
  (define-keysym #\keypad-7 (keysym 255 183))	; :keypad
  (define-keysym #\keypad-8 (keysym 255 184))	; :keypad
  (define-keysym #\keypad-9 (keysym 255 185))	; :keypad
  (define-keysym #\keypad-equal (keysym 255 189))	; :keypad
  (define-keysym #\f1 (keysym 255 192))		; :function
  (define-keysym #\f2 (keysym 255 193))		; :function
  (define-keysym #\f3 (keysym 255 194))		; :function
  (define-keysym #\f4 (keysym 255 195))		; :function
  (define-keysym #\network (keysym 255 214))
  (define-keysym #\status (keysym 255 215))
  (define-keysym #\clear-screen (keysym 255 217))
  (define-keysym #\left (keysym 255 218))
  (define-keysym #\middle (keysym 255 219))
  (define-keysym #\right (keysym 255 220))
  (define-keysym #\resume (keysym 255 221))
  (define-keysym #\vt (keysym 009 233))		; :special ;; same as #\delete
  )

))

#!C
; From file KEYSYMS.LISP#> CLX; Hotel:
#10R XLIB#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "XLIB"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: CLX; KEYSYMS.#"


(progn  ;; Explorer specific characters
  (define-keysym #\Call (keysym 131))		; :latin-1
  (define-keysym #\Macro (keysym 133))		; :latin-1
  (define-keysym #\Quote (keysym 142))		; :latin-1
  (define-keysym #\Hold-output (keysym 143))	; :latin-1
  (define-keysym #\Stop-output (keysym 144))	; :latin-1
  (define-keysym #\Center (keysym 156))		; :latin-1
  (define-keysym #\no-break-space (keysym 160))	; :latin-1

  (define-keysym #\circle-plus (keysym 13))	; :latin-1
  (define-keysym #\universal-quantifier (keysym 20))	; :latin-1
  (define-keysym #\existential-quantifier (keysym 21))	; :latin-1
  (define-keysym #\circle-cross (keysym 22))	; :latin-1
  )

))
