;;; -*- Mode: Common-Lisp; Package: SYS; Base: 10.; Patch-File: T -*-

;;; Reason:  Updated legal notices to include 1990.

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 2909, M/S 2151             
;;;   AUSTIN, TEXAS 78769                 
;;;
;;; Copyright (C) 1989 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Patch file for DISK-IO version 6.4
;;; Written 06/13/90 07:20:55 by BERGER,
;;; while running on Pasteur from band LOD3
;;; With SYSTEM 6.35, VIRTUAL-MEMORY 6.3, EH 6.8, MAKE-SYSTEM 6.3, MICRONET 6.0, LOCAL-FILE 6.2,
;;;  BASIC-PATHNAME 6.5, NETWORK-SUPPORT-COLD 6.2, BASIC-NAMESPACE 6.8, NETWORK-NAMESPACE 6.1,
;;;  DISK-IO 6.3, DISK-LABEL 6.0, BASIC-FILE 6.13, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.2,
;;;  COMPILER 6.14, TV 6.25, DATALINK 6.0, CHAOSNET 6.8, GC 6.4, MEMORY-AUX 6.0, NVRAM 6.3,
;;;  SYSLOG 6.2, STREAMER-TAPE 6.6, UCL 6.0, INPUT-EDITOR 6.0, METER 6.2, ZWEI 6.18,
;;;  DEBUG-TOOLS 6.4, NETWORK-SUPPORT 6.1, NETWORK-SERVICE 6.3, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.1, SERIAL 6.0, PRINTER 6.6, MAC-PRINTER-TYPES 6.2, PRINTER-TYPES 6.2,
;;;  IMAGEN 6.1, SUGGESTIONS 6.1, MAIL-DAEMON 6.6, MAIL-READER 6.8, TELNET 6.1, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.5, PROFILE 6.3, VISIDOC 6.7, TI-CLOS 6.47, CLEH 6.5, IP 3.65,
;;;  Experimental CLX 6.11, CLUE 6.104, X11M 6.24, Experimental BUG 11.19,  microcode 656,
;;;  Band Name: rel 6.0 + SLE 5/30

#!C
; From file DISK-PARTITION.LISP#> DISK-IO; sys:
#10R SYSTEM#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "SYSTEM"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* *COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DISK-IO; DISK-PARTITION.#"


(DEFVAR *LEGAL-NOTICE* "~%Copyright (c) 1985, 1986, 1987, 1988, 1989, 1990 Texas Instruments. All Rights Reserved.
Enter (TI-Show-Legal-Notice) for complete restricted rights notices.~%")
))

#!C
; From file DISK-PARTITION.LISP#> DISK-IO; Hotel:
#10R SYSTEM#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "SYSTEM"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* *COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: DISK-IO; DISK-PARTITION.#"


(DEFVAR *FULL-LEGAL-NOTICE*
	"~%*************************************************************************~%                       ~
    RESTRICTED RIGHTS LEGEND~%~%Use,  duplication,  or  disclosure   by  the  Government  is  subject  to~%~
    restrictions as  set forth  in subdivision (c)(1)(ii)  of  the  Rights in~%~
    Technical Data and Computer Software clause at 52.227-7013.~%~%                    ~
    TEXAS INSTRUMENTS INCORPORATED~%                             ~
    P.O. Box 149149~%                       ~
    Austin, Texas  78714-9149~%                          ~
    MS 2151~%~%~
    Copyright (c) 1985,1986,1987,1988,1989,1990 Texas Instruments. All Rights Reserved.~%~
    Explorer is a trademark of Texas Instruments Incorporated.~%~
    *************************************************************************")
))
