;;; -*- Mode: Common-Lisp; Package: PRINTER; Base: 10.; Patch-File: T -*-
;;; Patch file for PRINTER version 6.8
;;; Reason: Undo (part) of patch 6.7 to prevent memory fragmentation problems.
;;; Written 06/08/90 16:24:47 by marsha,
;;; while running on KES2 from band LOD2
;;; With SYSTEM 6.38, VIRTUAL-MEMORY 6.3, EH 6.6, MAKE-SYSTEM 6.2, MICRONET 6.0, LOCAL-FILE 6.2,
;;;  BASIC-PATHNAME 6.4, NETWORK-SUPPORT-COLD 6.2, BASIC-NAMESPACE 6.7, NETWORK-NAMESPACE 6.1,
;;;  DISK-IO 6.2, DISK-LABEL 6.0, BASIC-FILE 6.10, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.1,
;;;  COMPILER 6.14, TV 6.24, DATALINK 6.0, CHAOSNET 6.6, GC 6.3, MEMORY-AUX 6.0, NVRAM 6.2,
;;;  SYSLOG 6.2, STREAMER-TAPE 6.5, UCL 6.0, INPUT-EDITOR 6.0, METER 6.1, ZWEI 6.13,
;;;  DEBUG-TOOLS 6.4, NETWORK-SUPPORT 6.1, NETWORK-SERVICE 6.2, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.1, SERIAL 6.0, PRINTER 6.7, MAC-PRINTER-TYPES 6.2, PRINTER-TYPES 6.2,
;;;  IMAGEN 6.1, SUGGESTIONS 6.1, MAIL-DAEMON 6.6, MAIL-READER 6.7, TELNET 6.1, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.4, PROFILE 6.2, VISIDOC 6.7, TI-CLOS 6.43, CLEH 6.5, Experimental GRAPHICS-WINDOW 6.1,
;;;  TREE 6.0, MMON 6.2, IP 3.60, Experimental SNRL 16.0, Experimental SNRL-ADD-ONS 3.0,
;;;  Experimental QUERY 1.0, Experimental SST-WINDOWS 1.0, Experimental SCENARIO-MANAGER 1.0,
;;;  Experimental SNED 4.0, Experimental GRAPHICAL-SORT 3.0, Experimental STRATEGY-MANAGER 5.0,
;;;  Experimental RAMP 560.0,  microcode 2, Band Name: ramp eas 6/11/90

#!C
; From file  RESOURCE.LISP#> KERNEL; SYS:
#10R PRINTER#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "PRINTER"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: KERNEL; RESOURCE.#"

;; undo (part) of patch 6.7 to prevent memory fragmentation problems

(setq si:*resources-without-memory*
      (remove 'printer::screen-image-bit-array si:*resources-without-memory* :test #'eq))
(setf (get 'printer::screen-image-bit-array 'si:no-memory) nil)

))
