;;; -*- Mode: Common-Lisp; Package: profile; Base: 10.; Patch-File: T -*-
;;; Written 05/15/89 12:12:05 by BERGER,
;;; Reason: Modify some zmacs variable having cvv-type of :character to use :typep 'character instead. It was not handling special ketstrokes such as rubout, return, etc.
;;; while running on ARIES from band LOD1
;;; With SYSTEM 6.0, VIRTUAL-MEMORY 6.0, EH 6.0, MAKE-SYSTEM 6.0, MICRONET 6.0, LOCAL-FILE 6.0,
;;;  BASIC-PATHNAME 6.0, NETWORK-SUPPORT-COLD 6.0, BASIC-NAMESPACE 6.0, NETWORK-NAMESPACE 6.0,
;;;  DISK-IO 6.0, DISK-LABEL 6.0, BASIC-FILE 6.0, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.0,
;;;  COMPILER 6.0, TV 6.0, DATALINK 6.0, CHAOSNET 6.0, GC 6.0, MEMORY-AUX 6.0, NVRAM 6.0,
;;;  SYSLOG 6.0, STREAMER-TAPE 6.0, UCL 6.0, INPUT-EDITOR 6.0, METER 6.0, ZWEI 6.0,
;;;  DEBUG-TOOLS 6.0, NETWORK-SUPPORT 6.0, NETWORK-SERVICE 6.0, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.0, SERIAL 6.0, PRINTER 6.0, MAC-PRINTER-TYPES 6.0, PRINTER-TYPES 6.0,
;;;  IMAGEN 6.0, SUGGESTIONS 6.0, MAIL-DAEMON 6.0, MAIL-READER 6.0, TELNET 6.0, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.0, PROFILE 6.0, VISIDOC 6.0, TI-CLOS 6.0, CLEH 6.0, IP 3.45,
;;;  Experimental BUG 11.4, Experimental CLX 6.0, Experimental CLUE 21.0, Experimental X11M 4.0,
;;;  Experimental RPC 6.0, NFS 3.0,  microcode 427, Band Name: Rel 6.0 + SLE 5/12

#!C
; From file VARIABLES.LISP#> PROFILE; sys:
#10R PROFILE#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "PROFILE"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: PROFILE; VARIABLES.#"


(DEFINE-PROFILE-VARIABLE ZWEI::*AUTO-FILL-ACTIVATION-CHARACTERS* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER))


(DEFINE-PROFILE-VARIABLE ZWEI::*BLANKS* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER))

(DEFINE-PROFILE-VARIABLE ZWEI::*FILL-EXTRA-SPACE-LIST* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER))


(DEFINE-PROFILE-VARIABLE ZWEI::*PARAGRAPH-DELIMITER-LIST* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER))


(DEFINE-PROFILE-VARIABLE ZWEI::*VIEWING-SCROLL-FORWARD-SCREEN-CHARACTERS* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER))  ; DAB 05-10-89


(DEFINE-PROFILE-VARIABLE ZWEI::*VIEWING-SCROLL-BACKWARD-SCREEN-CHARACTERS* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER)) ; DAB 05-10-89


(DEFINE-PROFILE-VARIABLE ZWEI::*VIEWING-SCROLL-FORWARD-LINE-CHARACTERS* (:ZMACS)
   :CVV-TYPE (:LIST-OF :typep 'CHARACTER))  ; DAB 05-10-89

(DEFINE-PROFILE-VARIABLE ZWEI::*VIEWING-SCROLL-BACKWARD-LINE-CHARACTERS* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER))  ; DAB 05-10-89

(DEFINE-PROFILE-VARIABLE ZWEI::*WHITESPACE-CHARS* (:ZMACS)
  :CVV-TYPE (:LIST-OF :typep 'CHARACTER))
))
