;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Written 05/31/88 15:19:14 by ALEX,
;;; Reason: Fix message to say press any key since clicking mouse buttons no longer has any effect.
;;; while running on armstrong from band LOD2
;;; With IO 3.46, PATHNAME 3.17, FILE 3.16, SYSTEM 3.114, METER 3.7, SERIAL 3.2, CHAOSNET 3.25,
;;;  ETHERNET 3.4, GC 3.24, IMAGEN 3.0, MAIL-DAEMON 3.8, NETWORK-SUPPORT 3.21, PROFILE 3.6,
;;;  SUGGESTIONS 3.7, UCL 3.4, ZWEI 3.34, STREAMER-TAPE 3.17, DEBUG-TOOLS 3.6, FONT-EDITOR 3.1,
;;;  GLOSSARY 3.1, INPUT-EDITOR 3.0, MAIL-READER 3.23, NAMESPACE-EDITOR 3.7, NVRAM 3.6,
;;;  TELNET 3.7, TV 3.33, NAMESPACE 3.15, COMPILER 3.35, PRINTER 3.10, SYSLOG 3.1,
;;;  VT100 3.14, VISIDOC 1.0, IP 2.76, Experimental BUG 8.0, Experimental GRAPHICS-WINDOW 4.0,
;;;  Experimental TREE 4.0,  microcode 464, Band Name: R3.2(10/22)+TREE+SCRIBE

#!C
; From file FUNCTIONS-FOR-ACCESSORS.LISP#> TREE-EDITOR; SYS:
#10R TREE#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "TREE"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: TREE-EDITOR; FUNCTIONS-FOR-ACCESSORS.#"


(DEFUN complain (message)
  "Prints an error message in the utility pane in reverse video and beeps.
User must click a mouse button to proceed."
  (DECLARE (SPECIAL *utility-pane *tree-window))
  (LET ((old-msg (SEND *utility-pane :item-list)))
    (SEND *utility-pane :set-reverse-video-p t)
    (SEND *utility-pane :set-item-list
	  (APPEND message (LIST " "  " "  "PRESS ANY KEY" "TO CONTINUE")))
    (BEEP)
    (SEND *tree-window :any-tyi)
    (SEND *utility-pane :set-item-list old-msg)
    (SEND *utility-pane :set-reverse-video-p nil)))

))
