;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Written 08/03/89 13:33:26 by GRENINGER,
;;; Reason: Emulate-cache-initialization correctly.
;;; while running on MX23 from band G719
;;; With SYSTEM 6.13, GC 6.3, VIRTUAL-MEMORY 6.1, MICRONET 6.0, MICRONET-COMM 6.1,
;;;  DISK-IO 6.1, DISK-LABEL 6.0, BASIC-PATHNAME 6.1, MAC-PATHNAME 6.0, NETWORK-SUPPORT-COLD 6.0,
;;;  BASIC-NAMESPACE 6.1, BASIC-FILE 6.2, RPC 6.1, NFS-MX 6.1, EH 6.4, MAKE-SYSTEM 6.0,
;;;  MEMORY-AUX 6.0, COMPILER 6.9, TV 6.15, NVRAM 6.1, UCL 6.0, INPUT-EDITOR 6.0,
;;;  MACTOOLBOX 2.3, METER 6.1, ZWEI 6.4, DEBUG-TOOLS 6.3, WINDOW-MX 6.6, PRINTER 6.3,
;;;  MAC-PRINTER-TYPES 6.1, CLIPBOARD 6.1, TI-CLOS 6.19, CLEH 6.5, NETWORK-PATHNAME 6.0,
;;;  NETWORK-NAMESPACE 6.0, DATALINK 6.0, CHAOSNET 6.0, NETWORK-SUPPORT 6.0, NETWORK-SERVICE 6.1,
;;;  DATALINK-DISPLAYS 6.0, MX-DATALINK 6.1, NAMESPACE-EDITOR 6.0, IP 3.47, NFS-MX-SERVER 6.0,
;;;  MX-SERIAL 6.1, PRINTER-TYPES 6.1, IMAGEN 6.0, MAIL-DAEMON 6.2, MAIL-READER 6.2,
;;;  TELNET 6.0, VT100 6.0, STREAMER-TAPE 6.4, DECNET 1.69, VISIDOC 6.2, PROFILE 6.1,
;;;   microcode 138, Band Name: microExplorer Network (6/29)

#!C
; From file MAC-WINDOWS.LISP#> WINDOW-MX; SYS:
#10R MACINTOSH#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "MACINTOSH"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: WINDOW-MX; MAC-WINDOWS.#"


(DEFUN emulate-cache-initialization (total-cache-size)
  (SETF *emulated-cache*
	(LIST (make-cache-entry :start-adr 0
				:nbytes 0
				:wid -1)
	      (make-cache-entry :start-adr total-cache-size
				:nbytes 0
				:wid -1)))
  (SETF *nbytes-free-space* total-cache-size))

))

;; make it take affect *NOW*
(mac:get-modified-rectangles t)
(mac:believe-the-mac)

;; SPR 10320 Make keyword eval to its value instead of NIL - how it got that way, I don't know how.
;(defun keyword-value-test (&aux sym-value)
;  (do-symbols (sym 'keyword)
;    (setq sym-value (eval sym))
;    (unless (and sym (keywordp sym) (eq sym sym-value))
;      (format *standard-output*
;	      "~% Keyword symbol ~s has a value of ~s not equal to the symbol."
;	      sym sym-value))))
(SETF (CDR (LOCF :adjustable)) ':adjustable)