;;; -*- Mode: Common-Lisp; Package: User; Base: 8.; Patch-File: T -*-

;;; Reason: Makes ZTOP buffer more lisp-listener-like fixes or adds methods : (read-line) :line-in (streamp *terminal-io*) :direction [9461,9255]

;;;                           RESTRICTED RIGHTS LEGEND
;;;
;;; Use, duplication, or disclosure by the Government is subject to
;;; restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;; Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;   TEXAS INSTRUMENTS INCORPORATED      
;;;   P.O. BOX 2909, M/S 2151             
;;;   AUSTIN, TEXAS 78769                 
;;;
;;; Copyright (C) 1989 Texas Instruments Incorporated.
;;; All rights reserved.

;;; Written 06/01/90 07:59:46 by BERGER,
;;; while running on ARIES from band LODX
;;; With SYSTEM 6.35, VIRTUAL-MEMORY 6.3, EH 6.8, MAKE-SYSTEM 6.3, MICRONET 6.0, LOCAL-FILE 6.2,
;;;  BASIC-PATHNAME 6.5, NETWORK-SUPPORT-COLD 6.2, BASIC-NAMESPACE 6.8, NETWORK-NAMESPACE 6.1,
;;;  DISK-IO 6.3, DISK-LABEL 6.0, BASIC-FILE 6.13, MAC-PATHNAME 6.0, NETWORK-PATHNAME 6.2,
;;;  COMPILER 6.18, TV 6.25, DATALINK 6.0, CHAOSNET 6.8, GC 6.4, MEMORY-AUX 6.0, NVRAM 6.3,
;;;  SYSLOG 6.2, STREAMER-TAPE 6.6, UCL 6.0, INPUT-EDITOR 6.0, METER 6.2, ZWEI 6.18,
;;;  DEBUG-TOOLS 6.4, NETWORK-SUPPORT 6.1, NETWORK-SERVICE 6.3, DATALINK-DISPLAYS 6.0,
;;;  FONT-EDITOR 6.1, SERIAL 6.0, PRINTER 6.7, MAC-PRINTER-TYPES 6.2, PRINTER-TYPES 6.2,
;;;  IMAGEN 6.1, SUGGESTIONS 6.1, MAIL-DAEMON 6.6, MAIL-READER 6.8, TELNET 6.1, VT100 6.0,
;;;  NAMESPACE-EDITOR 6.5, PROFILE 6.3, VISIDOC 6.7, TI-CLOS 6.49, CLEH 6.5, IP 3.65,
;;;  Experimental CLX 6.11, CLUE 6.104, X11M 6.24, Experimental BUG 11.19,  microcode 483,
;;;  Band Name: Release 6.1-A  5-31

#!C
; From file STREAM.LISP#> ZMACS; SYS:
#8R ZWEI#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "ZWEI"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* SYS:COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: ZMACS; STREAM.#"




;; may 03/07/89 Added for ztop buffer SPR 9461  ; DAB 06-01-90
(DEFMETHOD (EDITOR-STREAM-MIXIN :LINE-IN) (&OPTIONAL LEADER)
  (STREAM-DEFAULT-HANDLER SELF :LINE-IN LEADER NIL))

;; may 03/07/89 Added for ztop buffer SPR 9461 - (input-stream-p *terminal-io*)  ; DAB 06-01-90
;; and to allow sys:character-stream to be sub-flavor of ZTOP-STREAM-MIXIN.
(DEFMETHOD (EDITOR-STREAM-MIXIN :direction) ()
  (STREAM-DEFAULT-HANDLER SELF :direction nil NIL))

(DEFFLAVOR ZTOP-STREAM-MIXIN
	   (*ZMACS-SG*
	    *ZTOP-SG*
	    *STREAM-START-BP*
	    (*STREAM-ACTIVATION-NEEDED* NIL)
	    (*RUBOUT-HANDLER-ARGS* NIL)
	    (*RUBOUT-HANDLER-STATE* ':NORMAL))
	   (sys:character-stream) ;; may 03/07/89 Added to make (streamp *terminal-io*) true in ZTOP buffer ; DAB 06-01-90
  (:REQUIRED-FLAVORS EDITOR-STREAM-FROM-WINDOW)
  :abstract-flavor ;; may 03/07/89 Added - this is for any mixin.
  (:INIT-KEYWORDS :BUFFER)
  (:INITABLE-INSTANCE-VARIABLES *ZMACS-SG*)
  (:GETTABLE-INSTANCE-VARIABLES *STREAM-START-BP*))
))
