
(WAFF FILE
 "    Description:
         This file records the current inventory of unprocessed
       control wafers in the facility.  It contains one record
       for every batch of wafers brought into the facility.
       Production wafers should be handled through the use of
       raw wafer devices.

"
 ((WAFFKEY FIELD
   "waffkey

    Type: Character, Size: 20, Usage: Key

 Key for wafer inventory file., includes wafer type, supplier
 id and batch id.")
  (WAFTYPE FIELD "waftype

    Type: Character, Size: 2, Usage: Non-Key

 Wafer type code")
  (SUPLRID FIELD
   "suplrid

    Type: Character, Size: 8, Usage: Non-Key

 Supplier identifier code")
  (SUPBTID FIELD "supbtid

    Type: Character, Size: 10, Usage: Non-Key

 Supplier batch id.")
  (RECVDATE FIELD
   "recvdate

    Type: Date, Size: 4, Usage: Non-Key

 Date when batch was received.")
  (EMPID FIELD
   "empid

    Type: Character, Size: 12, Usage: Non-Key

 User id of employee who received the batch.")
  (CHANGEDT FIELD
   "changedt

    Type: Date, Size: 4, Usage: Non-Key

 Date when the record was last changed.")
  (STARTNUM FIELD
   "startnum

    Type: Integer, Size: 4, Usage: Non-Key

 Gives the numeric part of the wafer number for the first wafer
 in the batch.")
  (NOWAFERS FIELD
   "nowafers

    Type: Integer, Size: 4, Usage: Non-Key

 The number of wafers in the batch when it was originally received.")
  (STATUS FIELD
     "status

    Type: Character Array, Number of Elements: 2500, Element Size: 1

 Gives the inventory status of each wafer in the batch."))) 
