
(WSPA FILE
 "   Description:
       This file contains one record for each \"case\" of Schedule.

"
 ((WORKSPACE FIELD
   "workspace

    Type: Character, Size: 5, Usage: Key

 The key field of the file. Work space identifier.")
  (DESCRIPTION FIELD
   "description

    Type: Character, Size: 50, Usage: Non-Key

 Work space description.")
  (COMMENTCOUNT FIELD
   "commentcount

    Type: Integer, Size: 4, Usage: Non-Key

 Actual number of lines used in 'comment' field.
 comment

    Type: Character Array, Number of Elements: 15, Element Size: 50

 Contains a free-form text comment on work space.")
  (COMMENT
  FIELD
  "commentcount

    Type: Integer, Size: 4, Usage: Non-Key

 Actual number of lines used in 'comment' field.
 comment

    Type: Character Array, Number of Elements: 15, Element Size: 50

 Contains a free-form text comment on work space.")
  (CREATEDATE FIELD
   "createdate

    Type: Date, Size: 4, Usage: Non-Key

 Date when work space was created.")
  (PLANNER FIELD
   "planner

    Type: Character, Size: 12, Usage: Non-Key

 Name of planner who created this case.")
  (FROZEN FIELD
   "frozen

    Type: Byte, Size: 1, Usage: Non-Key

 Frozen flag.
 When .false. the work space can be modified by taking snapshot,
 performing schedule etc.
 When .true. the work space cannot be changed.
 Flag is set to .true. by FREEZE WORK SPACE function.
 frozendate

    Type: Date, Size: 4, Usage: Non-Key

 Date when frozen flag was set to .true.
 Set to TYP__NULLDATE when frozen flag is .false.")
  (FROZENDATE FIELD
   "frozendate

    Type: Date, Size: 4, Usage: Non-Key

 Date when frozen flag was set to .true.
 Set to TYP__NULLDATE when frozen flag is .false.")
  (PACTCASE FIELD
   "pactcase

    Type: Character, Size: 5, Usage: Non-Key

 The case name of the PACT (schedule) file.")
  (PORDCASE FIELD
   "pordcase

    Type: Character, Size: 5, Usage: Non-Key

 The case name of the PORD (demand) file.")
  (RECACASE FIELD
   "recacase

    Type: Character, Size: 5, Usage: Non-Key

 The case name of the RECA (Equipment Capacity Calendar) file.")
  (CREQCASE FIELD
   "creqcase

    Type: Character, Size: 5, Usage: Non-Key

 The case name of the CREQ (Equipment Capacity Requirement) file.")
  (PTF FIELD
   "ptf

    Type: Date, Size: 4, Usage: Non-Key

 Planning Time Fence. Default: date of create + TYP__DELTAPTF days.")
  (PRIORITY FIELD
   "priority

    Type: Integer, Size: 4, Usage: Non-Key

 Default priority of planned or generated lots.")
  (REQDDATE FIELD
   "reqddate

    Type: Character, Size: 1, Usage: Non-Key

 Required date by which the schedule is driven.
 Default value ' ' : current required date.
 'O' : original required date.
 'C' : customer required date.")
  (SCHEDULEDATE FIELD
   "scheduledate

    Type: Date, Size: 4, Usage: Non-Key

 Date when schedule for all devices was performed.
 Date is not recorded for schedule of a single device
 (or a single device chain).")
  (ACTLSNAPSHOTDATE FIELD
   "actlsnapshotdate

    Type: Date, Size: 4, Usage: Non-Key

 Date when the snapshot of the ACTL file was taken.")
  (PACTLOADDATE FIELD
   "pactloaddate

    Type: Date, Size: 4, Usage: Non-Key

 Date when the snapshot of the ACTL file was loaded into PACT.")
  (EACTFILENAME FIELD
   "eactfilename

    Type: Character, Size: 60, Usage: Non-Key

 Name of the intermediate file created when taking snapshot of
 the ACTL file. It can also be the name of the user's extract
 file of a non PROMIS data base.")
  (SORDSNAPSHOTDATE FIELD
   "sordsnapshotdate

    Type: Date, Size: 4, Usage: Non-Key

 Date when the snapshot of the SORD file was taken.")
  (PORDLOADDATE FIELD
   "pordloaddate

    Type: Date, Size: 4, Usage: Non-Key

 Date when the snapshot of the SORD file was loaded into PORD.")
  (ESORFILENAME FIELD
   "esorfilename

    Type: Character, Size: 60, Usage: Non-Key

 Name of the intermediate file created when taking snapshot of
 the SORD file. It can also be the name of the user's extract
 file of a non PROMIS data base.")
  (RECAAGGREGDATE FIELD
   "recaaggregdate

    Type: Date, Size: 4, Usage: Non-Key

 Date when the aggregation of resource capacity was done.")
  (CREQAGGREGDATE FIELD
   "creqaggregdate

    Type: Date, Size: 4, Usage: Non-Key

 Date when the aggregation of capacity requirements was done.")
  (CREQCATEGORY FIELD
   "creqcategory

    Type: Integer, Size: 4, Usage: Non-Key

 Category number on which capacity requirement aggregation is done."))) 
