;;; -*- Mode: Common-Lisp; Package: User; Base: 10.; Patch-File: T -*-
;;; Written 12/29/87 20:32:29 by pf,
;;; Reason: Added the (third) LOGICAL-CONTACT-NAME argument to serial-connection-possible-p-function,
;;; because the network rules changed and this function is called with three arguments during
;;; booting;  without this (ignored) argument, we can't contact a name server.
;;; while running on Islington-Terrace from band LOD2
;;; With Experimental SYSTEM 4.0, Experimental COMPILER 4.0, Experimental NAMESPACE 4.0,
;;;  Experimental TV 4.0, Experimental DATALINK 4.0, CHAOSNET 4.0, Experimental GC 4.0,
;;;  Experimental NVRAM 4.0, Experimental SYSLOG 4.0, Experimental IO 4.0, Experimental STREAMER-TAPE 4.0,
;;;  Experimental UCL 4.0, Experimental INPUT-EDITOR 4.0, Experimental PATHNAME 4.0,
;;;  Experimental FILE 4.0, Experimental ZWEI 4.1, Experimental METER 4.0, Experimental DEBUG-TOOLS 4.0,
;;;  Experimental NETWORK-SUPPORT 4.0, Experimental NETWORK-SERVICE 4.0, Experimental DATALINK-DISPLAYS 4.0,
;;;  Experimental FONT-EDITOR 4.0, Experimental SERIAL 4.0, Experimental PRINTER 4.0,
;;;  Experimental IMAGEN 4.0, Experimental SUGGESTIONS 4.0, Experimental MAIL-DAEMON 4.0,
;;;  Experimental MAIL-READER 4.0, Experimental TELNET 4.0, Experimental VT100 4.0,
;;;  Experimental NAMESPACE-EDITOR 4.0, Experimental PROFILE 4.0, Experimental GLOSSARY 4.0,
;;;  Experimental BUG 8.2, Experimental IP 1.0, VISIDOC 2.0, Experimental KERMIT 3.4,
;;;   microcode 269, Band Name: 4.0(12-17)+IP+Kermit

#!C
; From file SERIAL-HOST.LISP#> PUBLIC.KERMIT; MR-X:
#10R NET#:
(COMPILER-LET ((*PACKAGE* (FIND-PACKAGE "NET"))
                          (SI:*LISP-MODE* :COMMON-LISP)
                          (*READTABLE* COMMON-LISP-READTABLE)
                          (SI:*READER-SYMBOL-SUBSTITUTIONS* SYS::*COMMON-LISP-SYMBOL-SUBSTITUTIONS*))
  (COMPILER#:PATCH-SOURCE-FILE "SYS: PUBLIC.KERMIT; SERIAL-HOST.#"



(DEFUN SERIAL-CONNECTION-POSSIBLE-P-FUNCTION (host-a &OPTIONAL (host-b local-host) logical-contact-name)
  (declare (ignore logical-contact-name))	; The rules have changed, so need this argument.
  (AND (EQ host-b LOCAL-HOST)
       (EQ (GET-HOST-ATTRIBUTE host-a :SYSTEM-TYPE) :SERIAL-PORT)))

))
