-*- Mode:Text; Fonts:(MEDFNB HL12B HL12BI) -*-

The LaTeX Picture program is intended to be a WYSIWYG (What You See Is What You
Get) program for LaTeX's picture environment.  If you have ever used this
environment then you now how tedious it can be to generate a picture in this
manner.  The LaTeX Picture program allows one to specify a picture on an
Explorer via the mouse and to have a LaTeX file be written for subsequent
inclusion into a LaTeX document.  With the LaTeX Picture program, the amount of
effort to generate a picture using LaTeX is greatly reduced.

The LaTeX Picture program supports all of the objects supported in the LaTeX
picture environment, which are: hollow boxes, dashed boxes, lines, vectors,
hollow circles, filled circles, text stacks, rounded corners and ovals and
empty boxes.  The drawing of these objects on the Release 3 Explorer is done so
that it very closely approximates the way these objects would appear on paper.

To use the LaTeX Picture program, one can enter the following form to a Lisp
listener:

        (make-system 'picture :noconfirm)

When the make-system completes, you can invoke the LaTeX Picture program by
bringing up the system menu and clicking on the Picture menu item.  After the
LaTeX Picture windows have been created, you will see a large `Picture Window'
on the left, and on the right a `Status Window', two menu windows and an
`Interaction Window', stacked top to bottom, respectively.  To create an
object, click on the `Graphics operations' menu item for that object, for
example, `Hollow Box'.  Next, a menu will pop up which allows you to specify
parameters like position and size via the mouse.  One can change or delete
objects by clicking on one of those menu items.  The picture can be saved or
restored from disk by using one of the `File Operations' menu items.  Other
random parameters may be found under the `Change Global State' menu items.

The positioning of the mouse within the object creation menus is intended to
minimize movement within a menu.  For example, when the hollow box creation
menu it brought up, the mouse is over the `Pick a corner' menu item, since that
is the only option which makes sense.  After a corner for the box has been
specified, then the hollow box creation menu reappears, but the mouse is over
the `Box size' menu item.  In each case, the LaTeX Picture program trys to
anticipate the next menu item the user will select.

When a file is saved 2 files are actually written, a .TEX file and a .PIC file.
The .TEX file is the file which is suitable for inclusion (via the \input LaTeX
command) into a LaTeX document.  The .PIC file is a representation of the
picture which is used by the LaTeX Picture program to reload a previously saved
picture.

Most of the commands can be initiated via keystrokes.  The keystroke for an
object is the first letter of its menu item.  The keystrokes for the other
commands can be found by clicking on the `Help' menu item, or looking at the
mouse documentation window when the mouse is over a menu item.  Generally, a
keystroke for a command is patterned after a Graphics Editor command to which
it is most similar in function.  Other useful useful information can be found
via the `Help' menu item.

The LaTeX Picture program has been used successfully in a `beta test' mode by
several people.  It is now in a state where it is mostly bug-free.  The known
bugs are documented, but you probably won't encounter them in normal use.  If
you encounter problem, send a description of the problem to EKBERG@TILDE.
