;;; -*- Mode: common-LISP; Package: MT; Lowercase: T; Base: 10; Fonts: MEDFNT,HL12B,HL12BI -*-

;;;                           RESTRICTED RIGHTS LEGEND
;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;
;;;
;;; Copyright (c) 1986-1989 Texas Instruments Incorporated  All Rights Reserved 


;;; 1/19/87  HW  Original
;;;
;;;  REVISIONS:
;;;  8.11.87  MBC Add Tar exports.
;;;  2/18/87  MAC Added exports for Load Distribution Tape symbols


;;; This defines all of the symbols to be exported from the MT package
;;; that are used by the file system. These are functions unless otherwise noted.

(export '(
	  *current-unit*			;variable
	  def-ldt-1 
	  backup-file
	  backup-directory
	  backup-partition
	  erase
	  ldt-create-directory 
	  *ldt-default-working-directory-namestring*	   ;variable
	  *ldt-install-program-file-filename*	           ;variable
	  ldt-load-or-throw
	  ldt-no-more-prompts 
	  *ldt-restore-file-filename*	                   ;variable
	  ldt-restore-directory 
	  ldt-restore-file 
	  ldt-restore-inp
	  ldt-translations-files 
	  *ldt-verbose*                                    ;variable
	  ldt-verify-directory 
	  ldt-verify-file 
	  ldt-verify-inp-or-throw
	  ldt-verify-or-throw 
	  list-contents
	  load-distribution-tape
	  local-only-namespace-updates 
	  pick-drive
	  restore-original-versions-p 
	  setup-quarter-inch-tape
	  setup-symbolics-quarter-inch-tape
	  setup-half-inch-tape
	  restore-file
	  restore-directory
	  restore-partition
	  rewind
	  space-blocks
	  space-to-append
	  space-to-eof
	  space-past-directory
	  tension
	  unload
	  verify-file
	  verify-directory
	  verify-partition
	  write-eof
	  offset-test
	  make-mt-file-stream
	  make-reel-mt-stream
	  backup-partition-half-inch-tape        ;function  ; DAB 04-25-89
	  prepare-tape-drive                     ;function
	  restore-partition-half-inch-tape       ;function
	  verify-partition-half-inch-tape       ;function
	  
	  )
	'MT)


(export '(MAKE-TAR-STREAM
	   LIST-TAR-TAPE *TAR-HEADER-KEYWORD-ALIST*
	   MAKE-TAR-TAPE RESTORE-TAR-TAPE)
	'MT)
