;;; -*- Mode: common-lisp; Package: syslog; Lowercase: T; Base: 10; Fonts: MEDFNT,HL12B,HL12BI -*-


;;;                           RESTRICTED RIGHTS LEGEND

;;;Use, duplication, or disclosure by the Government is subject to
;;;restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
;;;Technical Data and Computer Software clause at 52.227-7013.
;;;
;;;                     TEXAS INSTRUMENTS INCORPORATED.
;;;                              P.O. BOX 2909
;;;                           AUSTIN, TEXAS 78769
;;;                                 MS 2151
;;;
;;; Copyright (C) 1987-1989 Texas Instruments Incorporated. All rights reserved.

;;; 1/19/87  HW  Original

;;; This defines all of the symbols to be exported from the SYSLOG package
;;; that are used by the file system. These are functions unless otherwise noted.

(export '(
	  *log-name*				;variable
	  *log-unit*				;variable
	  add-record
	  read-record
	  purge
	  dump-log
	  turn-off-log
	  turn-on-log
	  boot-unit)
	'SYSLOG)

(export '(dump-log) 'ZWEI)  ;08-25-88 DAB Support zwei:edit-disk-partitions