;;; -*- Mode:Common-Lisp; Package:X11; Fonts:(MEDFNB HL12B HL12BI); Base:10 -*-

;;;
;;; Change history:
;;;
;;;  Date      Author	Description
;;; ---------------------------------------------------------------------------
;;; 11/23/88	LGO	Original

;;; CLX patch - allows CLX to use local or chaos connections to the server
(let ((inhibit-fdefine-warnings :just-warn))
 (defun xlib::open-x-stream (host display protocol)
   protocol ;; unused
   (net:open-connection-on-medium
     (net:parse-host host)	       ;Host
     :byte-stream		       ;Medium
     "X11"			       ;Logical contact name
     :stream-type :character-stream
     :direction :bidirectional
     :timeout-after-open nil
     :remote-port (+ xlib::*x-tcp-port* display)
     ))
) ;; end patch
